#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2af74d6, "ata_sff_wait_ready" },
	{ 0x9bf9d78a, "ata_msleep" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c1ecfb2, "ata_bmdma_irq_clear" },
	{ 0x3ee2a6a3, "ata_sff_error_handler" },
	{ 0xa524ac6a, "pci_write_config_dword" },
	{ 0x2eb743f0, "pci_read_config_dword" },
	{ 0xdc4a34d1, "pci_unregister_driver" },
	{ 0xcb02e1d1, "pcim_enable_device" },
	{ 0x188b518e, "ata_pci_bmdma_prepare_host" },
	{ 0x7b0c63fd, "pcim_iomap_regions" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0xf35301a6, "ata_host_alloc_pinfo" },
	{ 0xdbbb7acb, "pcim_iomap_table" },
	{ 0x73a48b4a, "ata_sff_std_ports" },
	{ 0xfe025d5, "ata_port_pbar_desc" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x47c8aa6d, "ata_print_version" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x8178de8e, "ata_slave_link_init" },
	{ 0xae030d67, "_dev_err" },
	{ 0xe8131728, "_dev_info" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x46eed97, "ata_host_activate" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x6f3f14b0, "ata_pci_device_do_resume" },
	{ 0x36adeece, "ata_host_resume" },
	{ 0x670d3ffa, "sata_std_hardreset" },
	{ 0xe89eb3ba, "ata_bmdma_port_ops" },
	{ 0x5fa3cb3b, "ata_scsi_queuecmd" },
	{ 0x5e087e6c, "ata_scsi_ioctl" },
	{ 0xba0e9f12, "ata_scsi_slave_alloc" },
	{ 0x9189b393, "ata_scsi_slave_config" },
	{ 0x6038b868, "ata_scsi_slave_destroy" },
	{ 0x4ca0f08, "ata_scsi_dma_need_drain" },
	{ 0xfb3fdad0, "ata_std_bios_param" },
	{ 0x33323a6d, "ata_scsi_unlock_native_capacity" },
	{ 0xf87cc47a, "ata_common_sdev_groups" },
	{ 0xfcb91e10, "ata_pci_remove_one" },
	{ 0xb7ee397d, "ata_pci_device_suspend" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xff54348c, "__pci_register_driver" },
	{ 0x586c26e8, "pci_read_config_byte" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7107685e, "pci_write_config_byte" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe818b32b, "ata_bmdma_interrupt" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x713c3c65, "ata_port_freeze" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3ba5878, "ata_sff_tf_load" },
	{ 0xc2c3e55c, "ata_bmdma_start" },
	{ 0x3f71d16d, "ata_sff_pause" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001106d00005337sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00000591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003149sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003249sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00005372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00005287sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00009000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AF0B8C8E3DEEABB1944BF1F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
