#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0x34fafe86, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd6f6edee, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2b8ba0bc, "bdev_discard_alignment" },
	{ 0xc8db9c2e, "rtrs_srv_set_sess_priv" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfef77950, "bio_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xea8d981, "perf_trace_run_bpf_submit" },
	{ 0xaa1d0031, "fput" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8514247, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x628bca77, "kobj_sysfs_ops" },
	{ 0x7420f267, "device_create" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc8bce6a8, "rtrs_srv_resp_rdma" },
	{ 0x76aa6df, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x8805b7bd, "trace_event_reg" },
	{ 0xc051633c, "rtrs_srv_get_path_name" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc0a4fe69, "kobject_init_and_add" },
	{ 0xd9a8695d, "bio_add_page" },
	{ 0xe56d2aba, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd3261b06, "rtrs_srv_get_queue_depth" },
	{ 0xce0c1fec, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x920c73f0, "sysfs_remove_file_self" },
	{ 0x68108ca5, "bpf_trace_run1" },
	{ 0x68153c41, "rtrs_srv_close" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa470a528, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x745a981, "xa_erase" },
	{ 0x124f999, "sysfs_remove_group" },
	{ 0xf1166430, "rtrs_srv_open" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0x873d9bb8, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc310b981, "strnstr" },
	{ 0x8da4ca69, "device_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x195fce93, "file_bdev" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc57fdf5b, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x51b520da, "class_register" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xb4569789, "fs_bio_set" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0x635cd5b5, "bdev_file_open_by_path" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x679c63e4, "param_ops_ushort" },
	{ 0x214c26a8, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x85aca984, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2152f8b3, "__trace_trigger_soft_disabled" },
	{ 0x1dc0c50e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfcc563e4, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x4ece692a, "bpf_trace_run2" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x402c539b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "rtrs-server");


MODULE_INFO(srcversion, "524A6AABAB7883525C729BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
