#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc2cfffe, "devm_request_threaded_irq" },
	{ 0x83bfec7a, "dev_err_probe" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x376c33a7, "iio_triggered_buffer_setup_ext" },
	{ 0xa6ac5804, "pm_runtime_enable" },
	{ 0xc9dade82, "pm_runtime_set_autosuspend_delay" },
	{ 0x2fc23ba4, "__pm_runtime_use_autosuspend" },
	{ 0x6c6f18b7, "__iio_device_register" },
	{ 0xe97df947, "is_acpi_device_node" },
	{ 0xa9605b9e, "iio_read_mount_matrix" },
	{ 0x91bf2f55, "acpi_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xfef0fdaa, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbd657858, "iio_device_id" },
	{ 0x7aa80b83, "__devm_iio_trigger_alloc" },
	{ 0x87ada734, "iio_trigger_register" },
	{ 0xc6c8598f, "get_device" },
	{ 0xc2a28197, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xceb09b60, "iio_buffer_enabled" },
	{ 0x34c16389, "i2c_smbus_read_word_data" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac67255b, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xd699a2fd, "iio_push_to_buffers" },
	{ 0xaa03a19d, "iio_trigger_notify_done" },
	{ 0x74506f8e, "iio_show_mount_matrix" },
	{ 0x9d5a64c2, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21f0bf29, "i2c_register_driver" },
	{ 0xa759e204, "i2c_smbus_read_byte_data" },
	{ 0xae030d67, "_dev_err" },
	{ 0x991e450b, "i2c_smbus_write_byte_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x245471f8, "iio_device_unregister" },
	{ 0x1106c80, "__pm_runtime_disable" },
	{ 0xbb4c4a20, "__pm_runtime_set_status" },
	{ 0x6a46c836, "iio_triggered_buffer_cleanup" },
	{ 0x4df5d54c, "iio_trigger_unregister" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf2d33ba2, "__pm_runtime_suspend" },
	{ 0x18b3d2ea, "iio_push_event" },
	{ 0x60ec6b09, "iio_get_time_ns" },
	{ 0x2c8dcb5b, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb7c40a01, "i2c_del_driver" },
	{ 0x137b1fe4, "i2c_client_get_device_id" },
	{ 0x6cfb09a4, "devm_iio_device_alloc" },
	{ 0x7003a774, "devm_regulator_bulk_get_enable" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("i2c:SMO8500");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "91FC788EC3FB8EB385F865F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
