#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6257a2f, "complete" },
	{ 0x60b4fa96, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe8131728, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x27ebd0, "input_allocate_device" },
	{ 0x6f23aeb, "input_set_capability" },
	{ 0x9bca2ef2, "input_set_abs_params" },
	{ 0x24e9f04c, "input_alloc_absinfo" },
	{ 0x5f37dbda, "input_mt_init_slots" },
	{ 0xfdc9b023, "input_free_device" },
	{ 0x5d732452, "input_register_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x91cd1f0d, "request_firmware_nowait" },
	{ 0xc5d6ae78, "request_firmware" },
	{ 0xc606c1e6, "device_property_present" },
	{ 0xe97df947, "is_acpi_device_node" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf5d1e5e3, "device_property_read_u32_array" },
	{ 0xf28f3e0, "devm_regulator_bulk_get" },
	{ 0xa2a25d9, "devm_gpiod_get_optional" },
	{ 0xc2cfffe, "devm_request_threaded_irq" },
	{ 0x4d50a87c, "regulator_bulk_enable" },
	{ 0xce0c1fec, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21f0bf29, "i2c_register_driver" },
	{ 0x79be24f9, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae030d67, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb7c40a01, "i2c_del_driver" },
	{ 0x30431406, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x755b3aba, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x35870609, "irq_get_irq_data" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48efde77, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x124f999, "sysfs_remove_group" },
	{ 0xf616d3ee, "input_unregister_device" },
	{ 0x3e1325c9, "regulator_bulk_disable" },
	{ 0x593171e4, "input_event" },
	{ 0xf40a848a, "input_mt_report_slot_state" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "B779EFF909AFD78DEBE8CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
