#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xf3ed2d73, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x9b98b24c, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xfb624e68, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x64291046, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xaf74387a, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x91565cde, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x0e342fec, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xd01a447f, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x421d7ec4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa41b13a5, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8fd72740, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xe8131728, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x33890669, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa4311b99, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xae030d67, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2d417c98, "rc_register_device" },
	{ 0xdd387e32, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5f6cfaf7, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbae6c551, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1471beed, "dvb_frontend_detach" },
	{ 0x5b74f31c, "i2c_add_adapter" },
	{ 0x4ac46a1b, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb1bcd904, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb63927b, "dvb_unregister_frontend" },
	{ 0xf4b4bef1, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1abc47b, "__media_device_usb_init" },
	{ 0x49f9112a, "dvb_frontend_resume" },
	{ 0x83c79908, "dvb_register_frontend" },
	{ 0xedba1d56, "dvb_frontend_suspend" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xddff673a, "dvb_create_media_graph" },
	{ 0xae5e9084, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x53e3b46a, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7cfb21eb, "dvb_dmxdev_init" },
	{ 0x264b1ef5, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf1a013e1, "media_device_unregister" },
	{ 0x5d3fd649, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5d6ae78, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c33c588, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
