#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xb5e46923, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xf153fe1e, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xfaa50a55, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x607524f6, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x45861c18, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x0c7ebd65, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x093f1234, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x94726a54, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x13cdc354, "_gpl");
SYMBOL_CRC(can_change_state, 0xe3f0dff6, "_gpl");
SYMBOL_CRC(can_bus_off, 0xd70de2a3, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x70d29fc9, "_gpl");
SYMBOL_CRC(free_candev, 0xc9230ec8, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x152d97e9, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x8f340118, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x5794fe4b, "");
SYMBOL_CRC(open_candev, 0x5c5c8e26, "_gpl");
SYMBOL_CRC(close_candev, 0x1b462e34, "_gpl");
SYMBOL_CRC(register_candev, 0xac26dac6, "_gpl");
SYMBOL_CRC(unregister_candev, 0x0e34d59c, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xfc9cb2cb, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4a79676e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x5db732d9, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xf6c1f124, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xade02c38, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xcac16153, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x9135f2b0, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x74a0d09e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xb8ac65c4, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x9a639675, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x554b16d2, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x7ca3146b, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xee7d4b06, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x810ffd11, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xe1c0b5bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x913ff95f, "skb_dequeue" },
	{ 0x96dbfb2b, "rtnl_link_register" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0xa2a25d9, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x574655b8, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0x9d631b78, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0xf5d1e5e3, "device_property_read_u32_array" },
	{ 0x416ed4e, "rtnl_link_unregister" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x8c52851e, "napi_enable" },
	{ 0xc79fd4fb, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xe97c5a5a, "register_netdev" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfa17413c, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xba3db412, "netif_rx" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd93866a, "skb_clone" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0x83bfec7a, "dev_err_probe" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x30bbe212, "skb_put" },
	{ 0x30431406, "gpiod_set_value" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
