#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaeeadcdb, "pci_clear_master" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x947c30eb, "pci_enable_msi" },
	{ 0xae030d67, "_dev_err" },
	{ 0x438ec757, "softnet_data" },
	{ 0x68b68f55, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfd2634e3, "ptp_clock_register" },
	{ 0x84d985e2, "xp_dma_sync_for_cpu_slow" },
	{ 0xd8c5c73b, "xsk_tx_peek_desc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3bd05752, "netif_set_real_num_rx_queues" },
	{ 0x520f4edb, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x64edadf, "pci_device_is_present" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x63ef2ae8, "pci_read_config_word" },
	{ 0x8c52851e, "napi_enable" },
	{ 0xf1f3d622, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc809ebd7, "xsk_uses_need_wakeup" },
	{ 0xe97c5a5a, "register_netdev" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0xee65f865, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfb859fa9, "led_classdev_register_ext" },
	{ 0x994baa89, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xac66331b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcd35ac3f, "pci_iounmap" },
	{ 0xec459b41, "netif_tx_stop_all_queues" },
	{ 0x514e6e94, "pci_restore_state" },
	{ 0x7b7187f1, "netif_tx_wake_queue" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x3664559e, "ptp_clock_event" },
	{ 0x4626a7fc, "netif_schedule_queue" },
	{ 0xf145c777, "__alloc_pages" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xced3dc83, "ptp_clock_unregister" },
	{ 0x21144f04, "xp_dma_unmap" },
	{ 0xba3db412, "netif_rx" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x290a3457, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbbc6c506, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd8b46171, "pci_enable_wake" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5152ba7, "pcie_print_link_status" },
	{ 0x20219ccc, "xp_set_rxq_info" },
	{ 0x608fb386, "xdp_rxq_info_unreg" },
	{ 0xaeeeae63, "napi_build_skb" },
	{ 0x3a94faac, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0x3aa49944, "pci_enable_ptm" },
	{ 0x75944497, "__hw_addr_sync_dev" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x86db37e0, "pci_disable_msix" },
	{ 0xc2afa153, "ktime_get_snapshot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0xf14643c1, "xp_free" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0xfece969, "skb_add_rx_frag_netmem" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xd937cda2, "xdp_master_redirect" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0xae40574, "napi_consume_skb" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0x15324686, "pcie_ptm_enabled" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7e0e029b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5b3a5ea4, "__pm_runtime_idle" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x964a4a03, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf350d78, "__tracepoint_xdp_exception" },
	{ 0x8c5bc908, "xsk_tx_completed" },
	{ 0x2b95070d, "alloc_etherdev_mqs" },
	{ 0x11402646, "pci_save_state" },
	{ 0xe1af22eb, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcd11db82, "xp_alloc" },
	{ 0xb5be1e81, "device_set_wakeup_enable" },
	{ 0x3c618c02, "pcie_capability_read_word" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xe8a3b428, "__skb_pad" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ef8ac2c, "pcie_capability_write_word" },
	{ 0x291e2560, "bpf_prog_put" },
	{ 0xb87510b5, "xp_dma_map" },
	{ 0x48954939, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3a923d73, "pci_request_selected_regions" },
	{ 0x216746a7, "pci_release_selected_regions" },
	{ 0x12bea67a, "pci_wake_from_d3" },
	{ 0x30bbe212, "skb_put" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x566749e2, "__napi_alloc_skb" },
	{ 0xdae49c1d, "pci_enable_device_mem" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfbbef6d5, "bpf_warn_invalid_xdp_action" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0x513eea9a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe38e99b1, "xdp_features_set_redirect_target" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xff54348c, "__pci_register_driver" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x842f4da9, "pci_disable_ptm" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0xf62ce59a, "dev_trans_start" },
	{ 0xdcfb1586, "pci_disable_msi" },
	{ 0x781be325, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x3f558a73, "xdp_do_redirect" },
	{ 0xd0b20478, "led_classdev_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x21229b74, "pci_set_power_state" },
	{ 0x3850a19f, "xdp_rxq_info_unreg_mem_model" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xdc4a34d1, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20f929fd, "pskb_expand_head" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0x7a741f3b, "xdp_rxq_info_reg_mem_model" },
	{ 0x82b5909d, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1d6d9484, "ptp_find_pin" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x6491155e, "pm_schedule_suspend" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3661dee7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0x498699a7, "pci_enable_msix_range" },
	{ 0x24cd36d3, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xf63edff, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe8131728, "_dev_info" },
	{ 0x50d70c27, "napi_gro_receive" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0xefc39d8, "xdp_features_clear_redirect_target" },
	{ 0x7c66cb72, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd9658929, "xp_raw_get_dma" },
	{ 0x1f2556b9, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94b48029, "xdp_rxq_info_is_reg" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d000015F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015F3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015F7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005502sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005503sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D9Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000125Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000125Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000125Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000125Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000125Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FDsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1D984E7B362DF55A7C9B32F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
