#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x07a06082, "");
SYMBOL_CRC(ocelot_mact_forget, 0x90252a8e, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x5fe9aab6, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x938aa440, "");
SYMBOL_CRC(ocelot_pll5_init, 0xaea3f416, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xd2e538e1, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x75d184f6, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x2064bc5c, "");
SYMBOL_CRC(ocelot_vlan_add, 0x5e18ea6a, "");
SYMBOL_CRC(ocelot_vlan_del, 0x66ca7fed, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x5421479b, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x48f51b20, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xf0fed890, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x16cd0045, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x7c1aef89, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xd7a1d904, "");
SYMBOL_CRC(ocelot_can_inject, 0xe09a2a8e, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x5ae42389, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xa9b3ba88, "");
SYMBOL_CRC(ocelot_fdb_add, 0x06dd174c, "");
SYMBOL_CRC(ocelot_fdb_del, 0x3da53411, "");
SYMBOL_CRC(ocelot_mact_flush, 0xaeef6852, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xbb5a64cf, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x272761e9, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x081c8414, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xb52413b5, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xd2b44b6c, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xf1b16e51, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x91e90d61, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x40ae4ab6, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xab614743, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xe78f8daf, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xdfb43080, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xfdf3f893, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x61dc8e7c, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xcc00165f, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x3c271da0, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xc4cb5e6a, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xaffc86c7, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x3d785b3f, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x06a570d9, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x678851fc, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x37521e29, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xa3d51477, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x700f078e, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x68a69394, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xb2da9b83, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xc1d2be20, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xe423b28c, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x6e1737ff, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xe265be90, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x4da385e1, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xe253a85e, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xd7952b3f, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x5e1ef787, "");
SYMBOL_CRC(ocelot_reset, 0xed7e4510, "");
SYMBOL_CRC(ocelot_init, 0x8c886baf, "");
SYMBOL_CRC(ocelot_deinit, 0xa2319f17, "");
SYMBOL_CRC(ocelot_deinit_port, 0x323f7dc3, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x6589d3c6, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x920dca06, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xcc970b16, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x94a3ed0e, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xbb57ec69, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x7bb3386d, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x12d048a7, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x0992d646, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x36e2e1a6, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x640f766d, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x858fdb9d, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x055954c9, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x653c2d14, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xb4590933, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x87035b95, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xb7a6cbf7, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xcd72b73b, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x31dbfce5, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xf86167d3, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x324bdbdd, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x6befc63a, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xe474144c, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x6b699fef, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xfcb5f7c2, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x98f87041, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xcf29b639, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x7fa47d15, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xe39a8094, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x59a2ce08, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xab3efe35, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x88df599d, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xdf04df6e, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x4f7b9b0a, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x79bc1ee5, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x3a3894f0, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x62de78a7, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x1c5630dc, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x8af7243f, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x147ec7a0, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xc14ee125, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x37b5dced, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xae95f270, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xe0e81a3b, "");
SYMBOL_CRC(ocelot_get_strings, 0x7ee9bd6e, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x35fceef8, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x10078b64, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xbe3f498d, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x4252dd66, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x6465c760, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0xbea68edc, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xd912b30e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x7074f5f8, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x227e696e, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x10ee19e5, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x480f5284, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x7ba13cf8, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x851c9ad1, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xc9f5b2de, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x39cacdd8, "");
SYMBOL_CRC(ocelot_mrp_del, 0x9cc1590f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x74ada366, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xd64bc6a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6af1dea, "flow_rule_match_ipv4_addrs" },
	{ 0xf8766f23, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb1c8f1f, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x574655b8, "skb_queue_purge_reason" },
	{ 0x1d6d9484, "ptp_find_pin" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x12ca10ca, "ethtool_aggregate_pause_stats" },
	{ 0xf75ac7b8, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8c157b17, "regmap_fields_read" },
	{ 0x9f8174b8, "skb_queue_tail" },
	{ 0x774eef52, "regmap_field_read" },
	{ 0x8f777e4, "devm_regmap_field_alloc" },
	{ 0x38e8a53, "ptp_classify_raw" },
	{ 0xfcf9eda1, "flow_rule_match_basic" },
	{ 0x789ff848, "__dev_get_by_index" },
	{ 0x7f7e9f87, "devm_kfree" },
	{ 0xae030d67, "_dev_err" },
	{ 0xfd2634e3, "ptp_clock_register" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x6eff0338, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x196a5379, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x6200e865, "flow_rule_match_ports" },
	{ 0x3c371111, "__devm_regmap_init_mmio_clk" },
	{ 0x2b479c42, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x47ac86f9, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xced3dc83, "ptp_clock_unregister" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0xc05fcfda, "of_phy_get" },
	{ 0x3050896a, "phy_set_mode_ext" },
	{ 0x63a8249c, "netdev_reset_tc" },
	{ 0xc17e092d, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a18418, "devm_ioremap_resource" },
	{ 0x1955574c, "ethtool_aggregate_rmon_stats" },
	{ 0x41a22d0, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd444c2a, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a32c8d5, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xccbee371, "netdev_set_num_tc" },
	{ 0x7035f1e2, "regmap_update_bits_base" },
	{ 0x83bfec7a, "dev_err_probe" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x43eb909a, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46af4a9, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x1d0fd8f0, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14fd4e93, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x30bbe212, "skb_put" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0xbd9e6c09, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b4250e, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xaf270ea1, "regmap_fields_update_bits_base" },
	{ 0x7be6d752, "flow_rule_match_eth_addrs" },
	{ 0x781be325, "ptp_clock_index" },
	{ 0x33c17223, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "709ECF9881BFDAC3C82EC4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
