#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xa9fee4f0, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x219e43ff, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x5abdae76, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xc620c7ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadede03d, "unregister_netdevice_queue" },
	{ 0xc91a8154, "netdev_upper_dev_unlink" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0x78c00f85, "dev_uc_add" },
	{ 0x2619a0f8, "dev_set_mtu" },
	{ 0x7d3475c5, "netif_inherit_tso_max" },
	{ 0x5fb4234, "netdev_update_features" },
	{ 0x279d98a1, "netif_stacked_transfer_operstate" },
	{ 0xe4d301db, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xbd93866a, "skb_clone" },
	{ 0xba3db412, "netif_rx" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb9a08517, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd11bc870, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x504331bb, "__dev_queue_xmit" },
	{ 0x5caac518, "dev_forward_skb" },
	{ 0x49d036ee, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x43cbacd9, "__netif_rx" },
	{ 0x2957f5fc, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2490722, "netdev_core_stats_inc" },
	{ 0x789ff848, "__dev_get_by_index" },
	{ 0xba1ed7de, "netdev_is_rx_handler_busy" },
	{ 0xb26307c8, "netdev_rx_handler_register" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0xc75f2ef9, "netdev_upper_dev_link" },
	{ 0x8dcb0d56, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x126b1161, "dev_uc_sync" },
	{ 0x26bb7e21, "dev_mc_sync" },
	{ 0x4bd0c82c, "passthru_features_check" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0x77aa638d, "ndo_dflt_fdb_dump" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0x8848a5ca, "eth_header_parse" },
	{ 0x70b52fe8, "eth_header_cache" },
	{ 0x55acf788, "eth_header_cache_update" },
	{ 0x62c0e4bc, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71647f28, "ether_setup" },
	{ 0x65619567, "__ethtool_get_link_ksettings" },
	{ 0xa19a9edc, "ethtool_get_ts_info_by_layer" },
	{ 0xd4ff55b4, "init_net" },
	{ 0x37b8a25e, "generic_hwtstamp_set_lower" },
	{ 0xeecf93d4, "generic_hwtstamp_get_lower" },
	{ 0xd5a172bb, "dev_mc_del" },
	{ 0xa349e344, "dev_uc_del" },
	{ 0xb03aa449, "dev_mc_add_excl" },
	{ 0xa136ba6c, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x11f2ea25, "__netpoll_free" },
	{ 0xbfdf8c9b, "vlan_vid_del" },
	{ 0x6d00146c, "vlan_vid_add" },
	{ 0xd9201c3d, "dev_set_allmulti" },
	{ 0x2ffaa6d7, "dev_set_promiscuity" },
	{ 0x7595a3c4, "dev_uc_unsync" },
	{ 0x58e1a4d8, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xef52dd34, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x7add2168, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x96dbfb2b, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x416ed4e, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xc3d39746, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9D60142A21DC10CB553D14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
