#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xd7a968ca, "_gpl");
SYMBOL_CRC(rndis_command, 0xeb2ec7af, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xa1770bee, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xc5152bb1, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x403b785f, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x11999cd8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xacf58cf8, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe85ce95, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8131728, "_dev_info" },
	{ 0xae030d67, "_dev_err" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xe9c16ac9, "usbnet_generic_cdc_bind" },
	{ 0xf3662c04, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x5067cc92, "usbnet_cdc_zte_rx_fixup" },
	{ 0xbd93866a, "skb_clone" },
	{ 0x58094a92, "usbnet_skb_return" },
	{ 0x6ad7071d, "skb_copy_expand" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0xc6370485, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13832f2b, "usbnet_probe" },
	{ 0xaeab4852, "usbnet_disconnect" },
	{ 0x87f96fed, "usbnet_suspend" },
	{ 0xf6d5dbbc, "usbnet_resume" },
	{ 0x82c2be61, "usbnet_open" },
	{ 0xe168876d, "usbnet_stop" },
	{ 0x6e62ec95, "usbnet_start_xmit" },
	{ 0xf8a13cb7, "eth_mac_addr" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0x4eef86ec, "usbnet_tx_timeout" },
	{ 0xd52fcbec, "dev_get_tstats64" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
