#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xb6d547e5, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x9f00664e, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xa74710ea, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x264cf200, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdeb572e, "lock_sock_nested" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0x8d85b398, "nexthop_find_by_id" },
	{ 0x3c93ef9d, "arp_create" },
	{ 0x65619567, "__ethtool_get_link_ksettings" },
	{ 0x3339af1a, "netdev_adjacent_change_prepare" },
	{ 0x37da3976, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6c4fa70e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x85c28f48, "netdev_adjacent_change_abort" },
	{ 0x369d7576, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x25fa1809, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc8188f56, "__iptunnel_pull_header" },
	{ 0xa819b6f0, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xba3db412, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3821cae4, "setup_udp_tunnel_sock" },
	{ 0xb11636cd, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x660dc7cc, "skb_scrub_packet" },
	{ 0x56d2d43d, "nexthop_select_path" },
	{ 0xd11bc870, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x41cbd0fe, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64d4618e, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0x2644a91, "udp_tun_rx_dst" },
	{ 0x573d1992, "rtnl_notify" },
	{ 0x60c03af4, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x43cbacd9, "__netif_rx" },
	{ 0xbd93866a, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xac3b461b, "metadata_dst_alloc" },
	{ 0x86c143c3, "dst_release" },
	{ 0x69046682, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x4993b404, "udp_tunnel_notify_del_rx_port" },
	{ 0x9da447c2, "register_nexthop_notifier" },
	{ 0x30f789dc, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6a5162e2, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2490722, "netdev_core_stats_inc" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0xbc78aa39, "neigh_lookup" },
	{ 0xac08433f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x24c00840, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48954939, "skb_copy_bits" },
	{ 0x2ee6c653, "__nlmsg_put" },
	{ 0x7ae2d96c, "netdev_adjacent_change_commit" },
	{ 0xf8a13cb7, "eth_mac_addr" },
	{ 0x30bbe212, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4e48cd7, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdb320e95, "ip6_dst_hoplimit" },
	{ 0x679c63e4, "param_ops_ushort" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x52a2b16f, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e43e9af, "udp_tunnel6_xmit_skb" },
	{ 0x96dbfb2b, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7320e5ce, "__unregister_nexthop_notifier" },
	{ 0x7d3475c5, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x336fa9c6, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x76043ef, "rtnl_create_link" },
	{ 0xadede03d, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x95568d40, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x71647f28, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90071fdd, "udp_tunnel_drop_rx_port" },
	{ 0xc75f2ef9, "netdev_upper_dev_link" },
	{ 0x20f929fd, "pskb_expand_head" },
	{ 0xea675f42, "register_pernet_subsys" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0xcaaf497, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd4a86146, "eth_gro_complete" },
	{ 0x622ef430, "rtnl_set_sk_err" },
	{ 0xb27ba7d1, "eth_gro_receive" },
	{ 0x27510e25, "rtnl_configure_link" },
	{ 0x99fe1c73, "skb_tunnel_check_pmtu" },
	{ 0x4cc66082, "udp_tunnel_dst_lookup" },
	{ 0xa3fd0d7d, "rtnl_unicast" },
	{ 0xec5d2793, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfb6e3886, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x789ff848, "__dev_get_by_index" },
	{ 0x416ed4e, "rtnl_link_unregister" },
	{ 0x850a41ec, "__skb_get_hash" },
	{ 0x7fd6ed47, "ipv6_stub" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x1c2ffc10, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8d320116, "dev_get_by_index_rcu" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x8d63a8e7, "gro_cells_receive" },
	{ 0x45478018, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc91a8154, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x868799d6, "ip_mc_join_group" },
	{ 0xae66ecd4, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6D5471F290A1DFDB9978DAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
