#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x542c8edd, "mwifiex_shutdown_sw" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd6a72521, "mwifiex_add_card" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5e4564a0, "_mwifiex_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0xbae2259c, "sdio_get_host_pm_caps" },
	{ 0x392648de, "mwifiex_prepare_fw_dump_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd00ed423, "mwifiex_main_process" },
	{ 0x999e8297, "vfree" },
	{ 0x15aa36c2, "mwifiex_process_sleep_confirm_resp" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4586b3b1, "mwifiex_disable_auto_ds" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2d932722, "mmc_hw_reset" },
	{ 0x8c738348, "sdio_claim_irq" },
	{ 0x4ca87ce5, "sdio_enable_func" },
	{ 0xb5d0dd38, "sdio_writesb" },
	{ 0xc2f37b80, "mwifiex_cancel_hs" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5d79fec6, "sdio_readb" },
	{ 0xd6fb477f, "sdio_writeb" },
	{ 0xe70759d0, "sdio_release_host" },
	{ 0x99976438, "sdio_disable_func" },
	{ 0x6f8100e1, "sdio_set_block_size" },
	{ 0x44c37d5b, "mwifiex_init_shutdown_fw" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x30bbe212, "skb_put" },
	{ 0x17a4b899, "mwifiex_drv_info_dump" },
	{ 0x8b6c5871, "sdio_claim_host" },
	{ 0xe7e07e84, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a4aece6, "mwifiex_upload_device_dump" },
	{ 0x74085106, "mwifiex_enable_hs" },
	{ 0x69e56f2, "mwifiex_remove_card" },
	{ 0x1767ec77, "mwifiex_deauthenticate_all" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xefb26740, "mwifiex_handle_rx_packet" },
	{ 0x67560ec3, "mwifiex_reinit_sw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x99f9825c, "sdio_f0_readb" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9af3b282, "sdio_release_irq" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f8174b8, "skb_queue_tail" },
	{ 0x5c7e3e16, "mwifiex_dnld_fw" },
	{ 0x1a6d5670, "sdio_set_host_pm_flags" },
	{ 0x1992ac41, "sdio_unregister_driver" },
	{ 0x2eb2fbd2, "sdio_readsb" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0xae030d67, "_dev_err" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mwifiex,mmc_core");

MODULE_ALIAS("sdio:c*v02DFd9116*");
MODULE_ALIAS("sdio:c*v02DFd9119*");
MODULE_ALIAS("sdio:c*v02DFd9129*");
MODULE_ALIAS("sdio:c*v02DFd912D*");
MODULE_ALIAS("sdio:c*v02DFd9135*");
MODULE_ALIAS("sdio:c*v02DFd9139*");
MODULE_ALIAS("sdio:c*v02DFd9145*");
MODULE_ALIAS("sdio:c*v02DFd9159*");
MODULE_ALIAS("sdio:c*v02DFd9149*");
MODULE_ALIAS("sdio:c*v02DFd9141*");

MODULE_INFO(srcversion, "0D1D4954354F337D2A80935");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
