#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0x8772bd28, "ieee80211_get_hdrlen_from_skb" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x38e888e1, "kthread_park" },
	{ 0xc29bab9, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf5a1937a, "mt76_dma_cleanup" },
	{ 0xdc4a34d1, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47da5959, "mt76_alloc_device" },
	{ 0x7ba5047f, "mt76_wcid_init" },
	{ 0xe10cdc78, "mt76_tx_status_check" },
	{ 0x784bf520, "wake_up_process" },
	{ 0x574655b8, "skb_queue_purge_reason" },
	{ 0x6002dea0, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9583c313, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x416a6814, "mt76_tx" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0x7ebc2cd6, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd450acdf, "mt76_wcid_key_setup" },
	{ 0xe8131728, "_dev_info" },
	{ 0x2a318b1e, "mt76_free_device" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x19331c78, "mt76_rx" },
	{ 0x79a997f5, "kthread_unpark" },
	{ 0x24222d68, "wiphy_to_ieee80211_hw" },
	{ 0xa282168f, "mt76_init_queue" },
	{ 0x47f6711c, "debugfs_attr_read" },
	{ 0x7b0c63fd, "pcim_iomap_regions" },
	{ 0xa6f2fd30, "mt76_tx_status_skb_done" },
	{ 0xf0f552b5, "ieee80211_queue_delayed_work" },
	{ 0x5a96f1b2, "devm_kmemdup" },
	{ 0xaa2f4856, "mt76_eeprom_init" },
	{ 0xae030d67, "_dev_err" },
	{ 0x88c4eae3, "debugfs_create_bool" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0xd250649, "mt76_register_device" },
	{ 0xaccf2d22, "simple_attr_release" },
	{ 0x188e58e5, "mt76_set_tim" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49a1cc65, "__SCK__tp_func_dev_irq" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45478018, "skb_push" },
	{ 0x627c490b, "mt76_set_channel" },
	{ 0x8c52851e, "napi_enable" },
	{ 0x88c409a4, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa1681246, "mt76_mmio_init" },
	{ 0x554a6010, "ieee80211_wake_queues" },
	{ 0xbea6601a, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x43f1491e, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6be543b8, "mt76_unregister_device" },
	{ 0x870c5202, "mt76_set_irq_mask" },
	{ 0x822c49e4, "mt76_get_survey" },
	{ 0x2dfdf4f8, "ieee80211_emulate_add_chanctx" },
	{ 0xb3e63f72, "__mt76_mcu_send_firmware" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63dfba58, "debugfs_create_u32" },
	{ 0xa9c40db2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4e7a959c, "__SCK__tp_func_mac_txdone" },
	{ 0x58e41c09, "mt76_sta_state" },
	{ 0x20fc99bd, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed944842, "__platform_driver_register" },
	{ 0x1b08962, "__tracepoint_dev_irq" },
	{ 0xbced23a1, "seq_read" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x2badb6ee, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x2222e14a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xac141e90, "mt76_insert_ccmp_hdr" },
	{ 0xa27f2ecd, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x88f18453, "mt76_sw_scan_complete" },
	{ 0xa118e399, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x300a9db2, "____mt76_poll_msec" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcd750f84, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7169c77c, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x676b6b1f, "mt76_wcid_cleanup" },
	{ 0x3015df59, "seq_puts" },
	{ 0xc339adb7, "single_release" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x9a6b4e28, "mt76_sw_scan" },
	{ 0x56e2b9f7, "mt76_queues_read" },
	{ 0x4242811a, "mt76_sta_pre_rcu_remove" },
	{ 0x9dc42030, "mt76_register_debugfs_fops" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xdbbb7acb, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x40859df4, "__mt76_poll" },
	{ 0x195f2f59, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc8018851, "debugfs_create_u8" },
	{ 0x6f2851b9, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcb02e1d1, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1f56af32, "mt76_dma_attach" },
	{ 0x93b03ad2, "ieee80211_emulate_remove_chanctx" },
	{ 0x187826b9, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0x202eb018, "mt76_init_sar_power" },
	{ 0x427c99c3, "devm_platform_ioremap_resource" },
	{ 0x35d8aa72, "mt76_dma_rx_poll" },
	{ 0x9e4c69ef, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8e44778, "simple_attr_open" },
	{ 0xc2cfffe, "devm_request_threaded_irq" },
	{ 0x3c3579cf, "debugfs_attr_write" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c766aba, "platform_driver_unregister" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xd7c74f79, "platform_get_irq" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcde77ec6, "mt76_tx_status_skb_get" },
	{ 0xfb73c048, "mt76_tx_status_lock" },
	{ 0xd9e4fda9, "ieee80211_free_hw" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x915ec364, "mt76_release_buffered_frames" },
	{ 0xc5d6ae78, "request_firmware" },
	{ 0x9a5c38ce, "mt76_get_txpower" },
	{ 0xb12d84dd, "mt76_csa_check" },
	{ 0x8e2b208f, "mt76_tx_status_skb_add" },
	{ 0xff54348c, "__pci_register_driver" },
	{ 0xac8b18e3, "__tracepoint_mac_txdone" },
	{ 0x8aa2e5a3, "mt76_tx_check_agg_ssn" },
	{ 0x677ae138, "mt76_get_rate" },
	{ 0x9df03535, "mt76_wake_tx_queue" },
	{ 0x627f477e, "ieee80211_tx_status_ext" },
	{ 0xc5da2caa, "mt76_stop_tx_queues" },
	{ 0x972508f0, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x7cf18447, "__mt76_tx_complete_skb" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x5d7c2dfa, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,mt76");

MODULE_ALIAS("pci:v000014C3d00007603sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmac");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmacC*");

MODULE_INFO(srcversion, "491467C5CAD8054FD6955D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
