#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x910a79d6, "kernfs_notify" },
	{ 0x40180eeb, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x31c916a0, "_copy_from_iter_flushcache" },
	{ 0xf77797e, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x3aa016cf, "put_disk" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x76a092a7, "nvdimm_setup_pfn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f2c1443, "nvdimm_namespace_attach_btt" },
	{ 0xc0bc123, "nvdimm_badblocks_populate" },
	{ 0x60d303ec, "blk_queue_flag_set" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0xb5c57078, "nvdimm_namespace_detach_btt" },
	{ 0x3c2e3075, "dax_add_host" },
	{ 0xf24f46d1, "bio_start_io_acct" },
	{ 0x2c2a6326, "nvdimm_has_flush" },
	{ 0xc8126340, "clear_mce_nospec" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa6beff04, "pmem_should_map_pages" },
	{ 0x237336fc, "bio_endio" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xf30a6225, "set_capacity" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0xbc44fc0c, "kernfs_find_and_get_ns" },
	{ 0x818b31c0, "dax_remove_host" },
	{ 0xf4a413bd, "nvdimm_clear_poison" },
	{ 0x5f4aff0a, "driver_unregister" },
	{ 0x417edcf1, "__nd_driver_register" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb43d6137, "del_gendisk" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x632ade97, "pmem_sector_size" },
	{ 0x9d6b9e80, "to_nd_btt" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1749b0ee, "nvdimm_namespace_disk_name" },
	{ 0x4ec240b6, "is_nd_btt" },
	{ 0xfcddb093, "nvdimm_flush" },
	{ 0x8d928a27, "nd_pfn_probe" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe222bc6f, "nd_dax_probe" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0xbab46c7e, "is_nvdimm_sync" },
	{ 0x11fe2cf3, "kernfs_put" },
	{ 0x62a5b71e, "devm_memremap_pages" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2e46c43, "devm_namespace_disable" },
	{ 0xb0cf9714, "nvdimm_check_and_set_ro" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x7242d92, "put_dax" },
	{ 0xeb417480, "badblocks_check" },
	{ 0x27acce0c, "is_nd_pfn" },
	{ 0x89748355, "nvdimm_namespace_common_probe" },
	{ 0xe3c4eb28, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xaa887f7, "badblocks_clear" },
	{ 0xd990431b, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x99a03078, "dax_holder_notify_failure" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xfba68d2, "to_nd_pfn" },
	{ 0xa30d55f6, "nd_btt_probe" },
	{ 0x50e7c4a8, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x4c0f5fd6, "nvdimm_has_cache" },
	{ 0x3157ce5a, "devm_memremap" },
	{ 0x7b3bb4ba, "device_add_disk" },
	{ 0xb6ce4a16, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xc2eca2bf, "to_nd_region" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x38d0ea1, "blk_queue_write_cache" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x78c39694, "alloc_dax" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm,nd_btt");


MODULE_INFO(srcversion, "1765E47647F765D1FFE696A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
