#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66be06e9, "ieee80211_handle_wake_tx_queue" },
	{ 0x858cbaa8, "ieee80211_tx_status_irqsafe" },
	{ 0x76773209, "usb_put_dev" },
	{ 0x75dc402f, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xffc6d2e4, "usb_get_dev" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xe8131728, "_dev_info" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xae030d67, "_dev_err" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45478018, "skb_push" },
	{ 0xacf58cf8, "usb_control_msg" },
	{ 0x554a6010, "ieee80211_wake_queues" },
	{ 0xf6e35ca1, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x654638e7, "ieee80211_alloc_hw_nm" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x2dfdf4f8, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9c40db2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0x7aeea405, "usb_unanchor_urb" },
	{ 0x20fc99bd, "ieee80211_stop_queues" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x7960a528, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8cc8ebf9, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf4b4bef1, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd750f84, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xbd93866a, "skb_clone" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0x93b03ad2, "ieee80211_emulate_remove_chanctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xa35bcd77, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x733e48a3, "ieee80211_rts_duration" },
	{ 0x264b1ef5, "usb_alloc_urb" },
	{ 0x53a4dbde, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5d3fd649, "usb_free_urb" },
	{ 0x30bbe212, "skb_put" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xd9e4fda9, "ieee80211_free_hw" },
	{ 0xc5d6ae78, "request_firmware" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0x73606795, "ieee80211_get_tkip_p2k" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc40c68f9, "ieee80211_register_hw" },
	{ 0x5d7c2dfa, "ieee80211_emulate_change_chanctx" },
	{ 0x8518f677, "ieee80211_ctstoself_duration" },
	{ 0x8772bd28, "ieee80211_get_hdrlen_from_skb" },
	{ 0x25426b58, "ieee80211_generic_frame_duration" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v160Ap3184d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "89DEC24D79027E429A1EC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
