#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0x3588dc90, "gnttab_page_cache_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a921311, "strncmp" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeefc7a09, "core_tpg_register" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bfde8df, "target_setup_session" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x933f639a, "gnttab_map_refs" },
	{ 0xb494cca2, "gnttab_page_cache_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79e77e7b, "gnttab_page_cache_shrink" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe4378951, "gnttab_page_cache_init" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x85c6b178, "xenbus_switch_state" },
	{ 0x57378eb5, "xenbus_dev_error" },
	{ 0xc73f2437, "xenbus_dev_fatal" },
	{ 0x1b50656b, "target_put_sess_cmd" },
	{ 0xe2964344, "__wake_up" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9bc0f02e, "target_submit_tmr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x91b72657, "target_init_cmd" },
	{ 0x1eb15ebf, "target_submit_prep" },
	{ 0x3d0ba4bf, "target_submit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x9f984513, "strrchr" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xce0a4020, "xenbus_directory" },
	{ 0x346c0f20, "device_unregister" },
	{ 0x47887e92, "xenbus_dev_is_online" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0xc84b26f1, "xenbus_map_ring_valloc" },
	{ 0xe4291ea8, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1876d8f4, "__xenbus_register_backend" },
	{ 0xeb47e7a2, "target_register_template" },
	{ 0x3a10e3f1, "xenbus_unregister_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x362b3670, "target_remove_session" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4aa266d, "core_tpg_deregister" },
	{ 0xa6257a2f, "complete" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7cb6f079, "target_execute_cmd" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x35cbd0f2, "transport_generic_free_cmd" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x2b037867, "xenbus_unmap_ring_vfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5077973a, "target_unregister_template" },
	{ 0x4a91abe0, "gnttab_unmap_refs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4b931968, "xen_features" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common");


MODULE_INFO(srcversion, "87D97A8ADA76D3153D216FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
