#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76aa6df, "bpf_trace_run5" },
	{ 0x35a8dc11, "setattr_copy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x779c6713, "file_update_time" },
	{ 0x7ed3d1b0, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed745aac, "set_nlink" },
	{ 0x7bc0b120, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd58be448, "from_kgid" },
	{ 0x66eb03db, "__sync_dirty_buffer" },
	{ 0x8805b7bd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5d58329a, "folio_wait_writeback" },
	{ 0xf1e046cc, "panic" },
	{ 0xc0a4fe69, "kobject_init_and_add" },
	{ 0xbdd00b99, "sget" },
	{ 0xd9a8695d, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4a231df8, "d_obtain_alias" },
	{ 0xce0c1fec, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2d46ae33, "__bread_gfp" },
	{ 0xcda6439d, "freezing_slow_path" },
	{ 0x55dd2963, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x95162166, "inode_add_bytes" },
	{ 0x4e359d48, "mpage_read_folio" },
	{ 0x8b41712b, "__folio_start_writeback" },
	{ 0x2c4d99ef, "d_obtain_root" },
	{ 0x68108ca5, "bpf_trace_run1" },
	{ 0xe93de87d, "folio_end_writeback" },
	{ 0x288bc9af, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe07ad34a, "filemap_get_folios" },
	{ 0xc92a85d, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x2383f661, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x72a022d4, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ba932da, "kthread_create_on_node" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x124f999, "sysfs_remove_group" },
	{ 0xf59e2e71, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7e680420, "unlock_buffer" },
	{ 0x852e9a64, "igrab" },
	{ 0x999e8297, "vfree" },
	{ 0xc94b42c4, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0xec63a70d, "d_instantiate_new" },
	{ 0x873d9bb8, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf988031b, "mpage_readahead" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcf52682b, "folio_copy" },
	{ 0xb456ccf8, "d_find_alias" },
	{ 0x2b9bc653, "inode_set_ctime_current" },
	{ 0x967800be, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x417a5cdd, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x18041135, "deactivate_locked_super" },
	{ 0x45a42f25, "touch_atime" },
	{ 0xc0a15625, "__percpu_down_read" },
	{ 0x1b8e582b, "__lock_buffer" },
	{ 0x854e91ab, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4a5f1fd6, "generic_file_open" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc47a4236, "touch_buffer" },
	{ 0xd84f245a, "__folio_lock" },
	{ 0xa316ac27, "filemap_dirty_folio" },
	{ 0x5ed91265, "blkdev_issue_flush" },
	{ 0xbab58b58, "is_bad_inode" },
	{ 0x3015df59, "seq_puts" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xc21a1a6b, "rcuwait_wake_up" },
	{ 0xbad177e7, "block_write_begin" },
	{ 0x7988a637, "block_is_partially_uptodate" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2262b46, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xa08b3b8, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa50e8a8e, "kmem_cache_alloc_lru" },
	{ 0x493e25d7, "filemap_fault" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d68fdff, "__mark_inode_dirty" },
	{ 0x26981fe9, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x94f331bd, "make_bad_inode" },
	{ 0xc57fdf5b, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38a581c1, "setup_bdev_super" },
	{ 0x58ed6560, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x399a2a6d, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x1951e9d, "iget_failed" },
	{ 0xb4569789, "fs_bio_set" },
	{ 0x9bb4cf14, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e1c4a7b, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2d7f992d, "blkdev_issue_discard" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x98987ea3, "truncate_inode_pages" },
	{ 0x9fdfab2c, "__page_file_index" },
	{ 0x8d6576db, "inode_init_owner" },
	{ 0x3dda2157, "setattr_prepare" },
	{ 0x2578a448, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x48743405, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x796d9bc3, "d_instantiate" },
	{ 0x95e48b76, "clear_inode" },
	{ 0xe2633167, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb46ce64c, "empty_aops" },
	{ 0x973e9a95, "__folio_batch_release" },
	{ 0xfecf11d7, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3bdabe5e, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xbc542e65, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x85aca984, "trace_raw_output_prep" },
	{ 0x544bce8b, "init_special_inode" },
	{ 0x86cc9966, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xdceab6b, "mark_buffer_dirty" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2152f8b3, "__trace_trigger_soft_disabled" },
	{ 0x2591225f, "__block_write_begin" },
	{ 0x24e721a7, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa726709f, "__blockdev_direct_IO" },
	{ 0x632c7fc2, "d_make_root" },
	{ 0x1dc0c50e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x6b5d17cb, "sb_set_blocksize" },
	{ 0xcee75506, "block_truncate_page" },
	{ 0x53dd93a6, "read_cache_folio" },
	{ 0x1d72bad3, "invalidate_mapping_pages" },
	{ 0x1b67d91b, "sync_filesystem" },
	{ 0x4d5b1190, "end_buffer_read_sync" },
	{ 0xad6db531, "block_page_mkwrite" },
	{ 0x99e87251, "folio_redirty_for_writepage" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd2ba5182, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xfcc563e4, "trace_event_raw_init" },
	{ 0xf25856c4, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaadc7a4c, "ihold" },
	{ 0x69560491, "page_get_link" },
	{ 0x2a91ae1e, "inode_dio_wait" },
	{ 0xd51512e6, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2180abc, "invalidate_inode_pages2_range" },
	{ 0xb418eaf9, "iput" },
	{ 0x59a73d0, "kset_unregister" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0x4eb3c78a, "iter_file_splice_write" },
	{ 0x4ece692a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5e43b922, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8d962e6a, "register_filesystem" },
	{ 0x54356060, "kmem_cache_create" },
	{ 0xb931d968, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x660838ee, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4837a5cc, "shrink_dcache_parent" },
	{ 0x784bf520, "wake_up_process" },
	{ 0x402c539b, "trace_event_buffer_commit" },
	{ 0x2c066948, "filemap_get_folios_contig" },
	{ 0x8b37f8b6, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb4020bba, "kill_block_super" },
	{ 0x5350a09b, "mnt_want_write_file" },
	{ 0xa939f6b8, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xe459a3ef, "block_invalidate_folio" },
	{ 0x197ea4e7, "__breadahead" },
	{ 0xc35d0453, "generic_write_end" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7b227a69, "make_kuid" },
	{ 0x44c1e09a, "create_empty_buffers" },
	{ 0x5c69647d, "truncate_inode_pages_final" },
	{ 0x211936f3, "block_write_end" },
	{ 0xf0b22ce6, "inode_sub_bytes" },
	{ 0x685f2276, "fs_kobj" },
	{ 0x3b707429, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x7ba98f4, "kmem_cache_alloc" },
	{ 0xd4a507d3, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x34fafe86, "submit_bio" },
	{ 0x5bca139, "mnt_drop_write_file" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc72d2378, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x175b5c38, "ilookup5" },
	{ 0xfef77950, "bio_put" },
	{ 0xe25de7a7, "__inode_attach_wb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x352f5aa5, "__brelse" },
	{ 0x49106b0c, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xea8d981, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa70bc334, "generic_file_read_iter" },
	{ 0x79763491, "unlock_page" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0x791724d2, "truncate_pagecache" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9596eeed, "sync_dirty_buffer" },
	{ 0xd619e363, "page_symlink" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F4992B6A13C2C68A79B1299");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
