#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5d1e5e3, "device_property_read_u32_array" },
	{ 0xd3f6028f, "snd_soc_get_enum_double" },
	{ 0xdebb843c, "fwnode_property_read_u32_array" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x21f0bf29, "i2c_register_driver" },
	{ 0x4a441164, "snd_soc_info_volsw" },
	{ 0x5754a0c1, "clkdev_hw_create" },
	{ 0xae030d67, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc7245db5, "snd_soc_get_volsw_range" },
	{ 0x216b2525, "snd_soc_dapm_put_volsw" },
	{ 0xcb19f1e, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4cb4deb9, "snd_soc_dapm_force_bias_level" },
	{ 0x4624ad3d, "device_property_read_string_array" },
	{ 0x7999d4b, "snd_soc_info_volsw_range" },
	{ 0xd765c72a, "regulator_bulk_get" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3eb25e18, "regmap_reinit_cache" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x868d1635, "snd_soc_put_volsw_range" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd49ae857, "snd_soc_info_enum_double" },
	{ 0x4d50a87c, "regulator_bulk_enable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xda57b94c, "snd_soc_get_volsw" },
	{ 0x8c6d235b, "fwnode_property_read_string" },
	{ 0xc17e092d, "regmap_read" },
	{ 0xdf0443ff, "snd_soc_put_volsw" },
	{ 0xd5137706, "regmap_bulk_write" },
	{ 0x131da200, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4aeb63ba, "device_get_named_child_node" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd444c2a, "regmap_bulk_read" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa892eaa6, "regcache_cache_bypass" },
	{ 0x7035f1e2, "regmap_update_bits_base" },
	{ 0x99c27fb1, "snd_soc_dapm_get_volsw" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xb7c40a01, "i2c_del_driver" },
	{ 0x15c826fe, "regmap_register_patch" },
	{ 0xa7691dca, "fwnode_handle_put" },
	{ 0x80809833, "snd_soc_dapm_get_enum_double" },
	{ 0xf5495fe2, "regmap_raw_write" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8ffae22b, "snd_soc_dapm_put_enum_double" },
	{ 0x398efd86, "clk_hw_unregister" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc606c1e6, "device_property_present" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14fd4e93, "regmap_write" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0xf44c3900, "clk_hw_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x45b28cc1, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1b0ef98, "regulator_bulk_free" },
	{ 0x89908c1a, "clkdev_drop" },
	{ 0x8a37412f, "regmap_raw_read" },
	{ 0xea84fb92, "snd_soc_component_read" },
	{ 0x76edeab0, "regcache_sync_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe608a106, "snd_soc_dapm_disable_pin" },
	{ 0x4a2ff80e, "snd_soc_dapm_force_enable_pin" },
	{ 0x925f490f, "snd_soc_put_enum_double" },
	{ 0x39b1f1ff, "regcache_mark_dirty" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf40dcda, "clk_get" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe2d64e0, "snd_soc_component_write" },
	{ 0x299f7d7a, "snd_soc_dapm_sync" },
	{ 0xafe99da, "regulator_get_voltage" },
	{ 0x9d26ebd1, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe63e3d1a, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3e1325c9, "regulator_bulk_disable" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("i2c:da7219");
MODULE_ALIAS("acpi*:DLGS7219:*");

MODULE_INFO(srcversion, "CC4768EC48F382794966C9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
