#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x00307204, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xaf4cb42f, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x80102ae5, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xa93ece27, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0xaad68399, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xd51d0a45, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe2d64e0, "snd_soc_component_write" },
	{ 0x9d26ebd1, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xe63e3d1a, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf5d1e5e3, "device_property_read_u32_array" },
	{ 0xd3f6028f, "snd_soc_get_enum_double" },
	{ 0x21f0bf29, "i2c_register_driver" },
	{ 0x4a441164, "snd_soc_info_volsw" },
	{ 0xae030d67, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x216b2525, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4cb4deb9, "snd_soc_dapm_force_bias_level" },
	{ 0xd3af582b, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb3cb8fe9, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0xd2c4abd0, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd49ae857, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4ed34b93, "devm_clk_get_optional" },
	{ 0xda57b94c, "snd_soc_get_volsw" },
	{ 0xc17e092d, "regmap_read" },
	{ 0xdf0443ff, "snd_soc_put_volsw" },
	{ 0x131da200, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e027b22, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7035f1e2, "regmap_update_bits_base" },
	{ 0x99c27fb1, "snd_soc_dapm_get_volsw" },
	{ 0xe3c4eb28, "__devm_add_action" },
	{ 0xb7c40a01, "i2c_del_driver" },
	{ 0x15c826fe, "regmap_register_patch" },
	{ 0x80809833, "snd_soc_dapm_get_enum_double" },
	{ 0xced217b3, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8ffae22b, "snd_soc_dapm_put_enum_double" },
	{ 0xd2eeea9, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc606c1e6, "device_property_present" },
	{ 0x7e6ca8df, "regcache_cache_only" },
	{ 0xbaa2e01e, "regcache_sync" },
	{ 0x14fd4e93, "regmap_write" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x45b28cc1, "snd_soc_jack_report" },
	{ 0xea84fb92, "snd_soc_component_read" },
	{ 0x4e0d8d0c, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xbf167974, "gpiod_to_irq" },
	{ 0x1c586a4b, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x925f490f, "snd_soc_put_enum_double" },
	{ 0x39b1f1ff, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaca29fed, "gpiod_get_value" },
	{ 0xa2a25d9, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x46dac459, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "2228B19C44DA3FC46C1125E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
