#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9c485ea, "crypto_aead_setkey" },
	{ 0x2cbe1cb3, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9e4245f, "af_alg_unregister_type" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x4b9d97bb, "crypto_alloc_aead" },
	{ 0xcf43275b, "crypto_get_default_null_skcipher" },
	{ 0xdeb572e, "lock_sock_nested" },
	{ 0xac08433f, "release_sock" },
	{ 0xe51e83fe, "af_alg_alloc_areq" },
	{ 0x42cacde2, "af_alg_get_rsgl" },
	{ 0xe3dc8821, "af_alg_free_resources" },
	{ 0xc1f42d9c, "af_alg_wmem_wakeup" },
	{ 0xd2cd6674, "af_alg_wait_for_data" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0xffa0efb0, "crypto_aead_decrypt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x483102b2, "crypto_aead_encrypt" },
	{ 0xc26ec8bd, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1f58192c, "sk_free" },
	{ 0x2a1902f7, "af_alg_release" },
	{ 0x93e38391, "sock_no_bind" },
	{ 0xd014e25b, "sock_no_connect" },
	{ 0x5a56ae19, "sock_no_socketpair" },
	{ 0x9fe38891, "sock_no_accept" },
	{ 0x34cc0f4c, "sock_no_getname" },
	{ 0x6f5a931e, "af_alg_poll" },
	{ 0x6a912c1b, "sock_no_ioctl" },
	{ 0xb43387e9, "sock_no_listen" },
	{ 0xd52cc3d3, "sock_no_shutdown" },
	{ 0x15cba38f, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc25f1bda, "af_alg_register_type" },
	{ 0x35be7303, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf66de6e0, "af_alg_sendmsg" },
	{ 0x65620349, "crypto_aead_setauthsize" },
	{ 0x55108154, "af_alg_pull_tsgl" },
	{ 0x3178c9de, "sock_kzfree_s" },
	{ 0xad970808, "sock_kfree_s" },
	{ 0x7e905a7f, "af_alg_release_parent" },
	{ 0xf75383a6, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "17EE14AA5518788327313C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
