#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x04487cdc, "");
SYMBOL_CRC(__ib_alloc_pd, 0x6c6f1549, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x8188866d, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xb8bf20d4, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x068e014d, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x917e01f6, "");
SYMBOL_CRC(rdma_create_ah, 0x7a9ed3a7, "");
SYMBOL_CRC(rdma_create_user_ah, 0x06368f44, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x080ecbcf, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x579b1430, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x91b0b7ee, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xee9b0492, "");
SYMBOL_CRC(rdma_modify_ah, 0xaccc344c, "");
SYMBOL_CRC(rdma_query_ah, 0x6fa08126, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x50f410e4, "");
SYMBOL_CRC(ib_create_srq_user, 0xfe28d985, "");
SYMBOL_CRC(ib_modify_srq, 0xa4895b8b, "");
SYMBOL_CRC(ib_query_srq, 0xf7d9857c, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xbea8158d, "");
SYMBOL_CRC(ib_open_qp, 0x5734b2e6, "");
SYMBOL_CRC(ib_create_qp_user, 0x17aa9a87, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x9ceeec89, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xcbd76291, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x4f01caae, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x1a003bcd, "");
SYMBOL_CRC(ib_get_eth_speed, 0x616eb24e, "");
SYMBOL_CRC(ib_modify_qp, 0x5883c531, "");
SYMBOL_CRC(ib_query_qp, 0x1f452094, "");
SYMBOL_CRC(ib_close_qp, 0x833b098d, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x9a9f7ef2, "");
SYMBOL_CRC(__ib_create_cq, 0x4559de5a, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xf5ba855b, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x5ced2b9f, "");
SYMBOL_CRC(ib_resize_cq, 0x3930bba0, "");
SYMBOL_CRC(ib_reg_user_mr, 0xa30d6676, "");
SYMBOL_CRC(ib_advise_mr, 0x4cebcc37, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xd20f38ef, "");
SYMBOL_CRC(ib_alloc_mr, 0x0be5bd7e, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xbd76adf6, "");
SYMBOL_CRC(ib_attach_mcast, 0xbeac4d58, "");
SYMBOL_CRC(ib_detach_mcast, 0x94c68c16, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xaf5c9eb1, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x6d7027c5, "");
SYMBOL_CRC(ib_create_wq, 0xe4e93e55, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xe72c4498, "");
SYMBOL_CRC(ib_check_mr_status, 0x3a853b1b, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x77849d70, "");
SYMBOL_CRC(ib_get_vf_config, 0xe64839d7, "");
SYMBOL_CRC(ib_get_vf_stats, 0x9428bd8b, "");
SYMBOL_CRC(ib_set_vf_guid, 0x61a35cc3, "");
SYMBOL_CRC(ib_get_vf_guid, 0x3b7b7440, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x8b57a118, "");
SYMBOL_CRC(ib_map_mr_sg, 0xece77a3a, "");
SYMBOL_CRC(ib_sg_to_pages, 0x4532150d, "");
SYMBOL_CRC(ib_drain_sq, 0xae955222, "");
SYMBOL_CRC(ib_drain_rq, 0x739acec0, "");
SYMBOL_CRC(ib_drain_qp, 0xcd1b46c8, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x87aec619, "");
SYMBOL_CRC(rdma_init_netdev, 0xdd3762ab, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x6a01ab6a, "");
SYMBOL_CRC(__ib_alloc_cq, 0x89acda8b, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x5aba8ae2, "");
SYMBOL_CRC(ib_free_cq, 0x58672e30, "");
SYMBOL_CRC(ib_cq_pool_get, 0x263e28f4, "");
SYMBOL_CRC(ib_cq_pool_put, 0xd623b7b7, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x529992ea, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x89603b56, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xeb39b829, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xc9132182, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xad0953e8, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x4d74e712, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x7802a125, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xee32efa3, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xc1bf1c0b, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xe767020b, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xabb1cef8, "");
SYMBOL_CRC(ibdev_printk, 0xcac372d1, "");
SYMBOL_CRC(ibdev_emerg, 0x06388b61, "");
SYMBOL_CRC(ibdev_alert, 0xbe8b3d1d, "");
SYMBOL_CRC(ibdev_crit, 0x840b5daf, "");
SYMBOL_CRC(ibdev_err, 0x3b7f5a94, "");
SYMBOL_CRC(ibdev_warn, 0xaec0b528, "");
SYMBOL_CRC(ibdev_notice, 0x6df14ab6, "");
SYMBOL_CRC(ibdev_info, 0x6c045bbe, "");
SYMBOL_CRC(ib_device_put, 0x7d7639f4, "");
SYMBOL_CRC(ib_device_get_by_name, 0x295b5454, "");
SYMBOL_CRC(_ib_alloc_device, 0x82145475, "");
SYMBOL_CRC(ib_dealloc_device, 0x95c99773, "");
SYMBOL_CRC(ib_port_immutable_read, 0x3831df20, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x7beca3af, "");
SYMBOL_CRC(ib_register_device, 0x42396064, "");
SYMBOL_CRC(ib_unregister_device, 0xcf2e10b3, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x879b02be, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x3242ab99, "");
SYMBOL_CRC(ib_register_client, 0x2e76c1b2, "");
SYMBOL_CRC(ib_unregister_client, 0x88ee56c0, "");
SYMBOL_CRC(ib_set_client_data, 0xfa09427a, "");
SYMBOL_CRC(ib_register_event_handler, 0xdd280ffd, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x89fd43ba, "");
SYMBOL_CRC(ib_query_port, 0x9be7349a, "");
SYMBOL_CRC(ib_device_set_netdev, 0x9619db90, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x47ed73fb, "");
SYMBOL_CRC(ib_query_pkey, 0x9530bba9, "");
SYMBOL_CRC(ib_modify_device, 0xde9a0f59, "");
SYMBOL_CRC(ib_modify_port, 0x6c58175d, "");
SYMBOL_CRC(ib_find_gid, 0x31b54a18, "");
SYMBOL_CRC(ib_find_pkey, 0xf188b8c7, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x88b049c2, "");
SYMBOL_CRC(ib_set_device_ops, 0xb9162b9e, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xcfc67f18, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xa8a582e3, "");
SYMBOL_CRC(rdma_query_gid, 0x93f416e9, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x1de666a6, "");
SYMBOL_CRC(rdma_find_gid, 0xc70bf88a, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x16452a76, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x36a022ca, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xcffa6eef, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xa32fca34, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xd2c8b3b2, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x856cfd62, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x7803d193, "");
SYMBOL_CRC(rdma_query_gid_table, 0xc145f41d, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xcf4f5c94, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xbfb53f9d, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x5fd86d35, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x4ff4c54a, "");
SYMBOL_CRC(ib_dispatch_event, 0x6c015329, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x526cef03, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x35bb49d4, "");
SYMBOL_CRC(ibnl_put_attr, 0x16254a9d, "");
SYMBOL_CRC(rdma_nl_unicast, 0x5e1b295b, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x8ed3e294, "");
SYMBOL_CRC(rdma_nl_multicast, 0xa9c558ff, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xa20b695a, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x09ab0bca, "");
SYMBOL_CRC(ib_mr_pool_get, 0x75120bd9, "");
SYMBOL_CRC(ib_mr_pool_put, 0x575cda8f, "");
SYMBOL_CRC(ib_mr_pool_init, 0x5bd3afd2, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xd4eca588, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xd9b27246, "");
SYMBOL_CRC(rdma_translate_ip, 0x9f794236, "");
SYMBOL_CRC(rdma_resolve_ip, 0xee34bbb5, "");
SYMBOL_CRC(rdma_addr_cancel, 0xc235aabb, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x89fc4800, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x47c62196, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xbb54b44e, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x05f1508e, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xaf7d9350, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x49996947, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xcacf73e6, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x9c955946, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xf20139c6, "");
SYMBOL_CRC(ib_create_send_mad, 0x088b5e0a, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x3e6c4a88, "");
SYMBOL_CRC(ib_free_send_mad, 0x9f6a551e, "");
SYMBOL_CRC(ib_post_send_mad, 0x854a3452, "");
SYMBOL_CRC(ib_free_recv_mad, 0x7a961f48, "");
SYMBOL_CRC(ib_modify_mad, 0xe207546d, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x2efc2b27, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x2c741efa, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x2f5b6a9b, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x86161582, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x8d3ed2be, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xe2b52119, "");
SYMBOL_CRC(rdma_link_register, 0xdfd0d61b, "");
SYMBOL_CRC(rdma_link_unregister, 0x1a0ada18, "");
SYMBOL_CRC(rdma_restrack_count, 0x6713a4af, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x15b651d8, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x2e5e8e93, "");
SYMBOL_CRC(rdma_restrack_new, 0x9d7e3a0a, "");
SYMBOL_CRC(rdma_restrack_add, 0x5395bdb0, "");
SYMBOL_CRC(rdma_restrack_get, 0x64b1e7f8, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x18b76548, "");
SYMBOL_CRC(rdma_restrack_put, 0x4a90973d, "");
SYMBOL_CRC(rdma_restrack_del, 0x18a35448, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xb4c5afd6, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x5dc86e7e, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x545ed1dd, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xb25b6741, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xcc9f16d5, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x8ed3ce28, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x8edb0e3e, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x56d4ee47, "");
SYMBOL_CRC(ib_create_qp_security, 0xc40d24a0, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x718ae67d, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x047d18af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf05acb6, "dev_get_by_index" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45478018, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd5a43273, "nla_put" },
	{ 0x8805b7bd, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xecfa37da, "netlink_kernel_release" },
	{ 0xe56d2aba, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbee4376b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x65619567, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x68108ca5, "bpf_trace_run1" },
	{ 0x5fbdff36, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x31076a4b, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xece784c2, "rb_first" },
	{ 0x4898e78b, "__neigh_event_send" },
	{ 0xb76518da, "dev_printk_emit" },
	{ 0xa470a528, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x366fabb6, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x67ed2b4f, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf59e2e71, "bpf_trace_run3" },
	{ 0xd8833408, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7960a528, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64d4618e, "neigh_destroy" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0x873d9bb8, "trace_event_buffer_reserve" },
	{ 0x665e83ee, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3f7401f6, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x5fbb003c, "dev_get_by_name" },
	{ 0xecfb2ab7, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x86c143c3, "dst_release" },
	{ 0x499c442f, "kobject_uevent" },
	{ 0xe1b694d5, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e748e7e, "vlan_dev_vlan_id" },
	{ 0x394f76eb, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xf8a4c470, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e82b145, "netlink_has_listeners" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x38cccf27, "register_pernet_device" },
	{ 0xafe4219c, "get_net_ns_by_fd" },
	{ 0x51b520da, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x47b80d9d, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x729d5658, "rdmacg_try_charge" },
	{ 0x70e8ed33, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe2633167, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2ee6c653, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x30bbe212, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb821988e, "dev_set_name" },
	{ 0xdb320e95, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x85aca984, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2152f8b3, "__trace_trigger_soft_disabled" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x1dc0c50e, "trace_event_printf" },
	{ 0x2f093566, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc200dd83, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xcf5e7099, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x5d468185, "kobject_init" },
	{ 0x8b9d5509, "device_initialize" },
	{ 0x2c9e191b, "__dynamic_ibdev_dbg" },
	{ 0xadab8b67, "sysfs_create_groups" },
	{ 0xfcc563e4, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf08ee63, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x482333e4, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xd0c99f85, "__netlink_kernel_create" },
	{ 0x4ece692a, "bpf_trace_run2" },
	{ 0x760e7664, "ip_route_output_flow" },
	{ 0xc6c8598f, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x280b4516, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa6d5defd, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23334bd7, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x402c539b, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x9d631b78, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd7ab47bb, "put_device" },
	{ 0xa20a2c9b, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0xc1f1d3e0, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfbe26c47, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xbf6dad3b, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xea8d981, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xae030d67, "_dev_err" },
	{ 0xd4ff55b4, "init_net" },
	{ 0x465ee5ac, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x7fd6ed47, "ipv6_stub" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7d376f16, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x225150c8, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "54A4BC4FD605CE3F18CB0D3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
