#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0x1553c347, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x140c833f, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0xeba70ecf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0xfdeed222, "i2c_acpi_new_device_by_fwnode" },
	{ 0x7c50b5ef, "device_link_add" },
	{ 0xe8131728, "_dev_info" },
	{ 0x5b3a5ea4, "__pm_runtime_idle" },
	{ 0xd7ab47bb, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xae030d67, "_dev_err" },
	{ 0xa7691dca, "fwnode_handle_put" },
	{ 0xf0a47f8, "acpi_dev_get_first_match_dev" },
	{ 0xebf8d849, "acpi_dev_get_next_consumer_dev" },
	{ 0xd57ad36d, "acpi_dev_get_next_match_dev" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x136c04af, "platform_bus_type" },
	{ 0x5df66a70, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1c8a473, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0xd1a83d1c, "__dev_fwnode" },
	{ 0x10bd7827, "fwnode_find_reference" },
	{ 0xf91811f0, "i2c_find_device_by_fwnode" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xc6c8598f, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x737577da, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfef0fdaa, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0xd2cbd95f, "software_node_fwnode" },
	{ 0x4a77ecb1, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe97df947, "is_acpi_device_node" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB6530373C4F00F487365B2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
