#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xae030d67, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0x3bd05752, "netif_set_real_num_rx_queues" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x63ef2ae8, "pci_read_config_word" },
	{ 0x8c52851e, "napi_enable" },
	{ 0xe97c5a5a, "register_netdev" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b7187f1, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x4626a7fc, "netif_schedule_queue" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0xf2db7d31, "pcie_get_readrq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0x4779eaf3, "pcie_set_readrq" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x7e0e029b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7dca56e, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2b95070d, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3a923d73, "pci_request_selected_regions" },
	{ 0x216746a7, "pci_release_selected_regions" },
	{ 0xcba8b212, "pci_enable_device" },
	{ 0x30bbe212, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xdae49c1d, "pci_enable_device_mem" },
	{ 0x5fb4234, "netdev_update_features" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xb98bb1a5, "pci_alloc_irq_vectors" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0xff54348c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0x92777890, "pci_irq_vector" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x9fabe686, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdc4a34d1, "pci_unregister_driver" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20f929fd, "pskb_expand_head" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0xe8131728, "_dev_info" },
	{ 0x50d70c27, "napi_gro_receive" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7c66cb72, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001969d00001091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d00001090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DFE8D3D467E5DF6B2505B55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
