#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xabdbf73b, "device_create_file" },
	{ 0xfcf9eda1, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7af612a0, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa0f67ed, "flow_rule_match_ct" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x947c30eb, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xae030d67, "_dev_err" },
	{ 0xd4ff55b4, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x438ec757, "softnet_data" },
	{ 0x7fd6ed47, "ipv6_stub" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfd2634e3, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3bd05752, "netif_set_real_num_rx_queues" },
	{ 0x1a610d66, "flow_indr_block_cb_alloc" },
	{ 0x4d163c16, "devl_port_register_with_ops" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x520f4edb, "netdev_printk" },
	{ 0x33767a0b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x8c52851e, "napi_enable" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc79fd4fb, "netif_receive_skb" },
	{ 0xe97c5a5a, "register_netdev" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xac66331b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xec459b41, "netif_tx_stop_all_queues" },
	{ 0x514e6e94, "pci_restore_state" },
	{ 0x7b7187f1, "netif_tx_wake_queue" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x6200e865, "flow_rule_match_ports" },
	{ 0x3664559e, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x4626a7fc, "netif_schedule_queue" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x75fdce1b, "flow_rule_match_ipv6_addrs" },
	{ 0x356461c8, "rtc_time64_to_tm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xced3dc83, "ptp_clock_unregister" },
	{ 0xa819b6f0, "__pskb_pull_tail" },
	{ 0xd3e352ef, "netif_tx_lock" },
	{ 0xe86deba1, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4898e78b, "__neigh_event_send" },
	{ 0xba1f11a4, "flow_block_cb_alloc" },
	{ 0x4a9b419, "pci_reset_function" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3a1d2b17, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x382b349a, "xdp_return_frame_rx_napi" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0xd11bc870, "pv_ops" },
	{ 0x782769f0, "flow_rule_match_enc_control" },
	{ 0xd8833408, "__put_net" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd2889c3b, "rps_may_expire_flow" },
	{ 0x64d4618e, "neigh_destroy" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf83b418e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4970646e, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41a22d0, "flow_rule_match_vlan" },
	{ 0x3cb47288, "alloc_pages" },
	{ 0xf2b4def6, "devl_port_unregister" },
	{ 0x608fb386, "xdp_rxq_info_unreg" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0x3a94faac, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7dbbcbd8, "pci_find_next_ext_capability" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9b455332, "devlink_priv" },
	{ 0xcc845b2e, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x86c143c3, "dst_release" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0x7a4700f3, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x86db37e0, "pci_disable_msix" },
	{ 0xc2afa153, "ktime_get_snapshot" },
	{ 0x69046682, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ef631ec, "netif_set_tso_max_size" },
	{ 0x82a1cb9c, "__skb_flow_dissect" },
	{ 0xa85aab21, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfece969, "skb_add_rx_frag_netmem" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xd937cda2, "xdp_master_redirect" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0xc4168b8a, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x303bde3, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc338b438, "pci_release_region" },
	{ 0x96bae8cd, "hwmon_device_register_with_groups" },
	{ 0x46af4a9, "flow_rule_match_control" },
	{ 0xc79c7946, "flow_rule_match_ip" },
	{ 0x2803011b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf2223b8, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0x3680591, "device_remove_file" },
	{ 0xbc78aa39, "neigh_lookup" },
	{ 0x8516b491, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0xf350d78, "__tracepoint_xdp_exception" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2b95070d, "alloc_etherdev_mqs" },
	{ 0x44035ed, "flow_block_cb_lookup" },
	{ 0x11402646, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x7cf72579, "napi_gro_frags" },
	{ 0x74ca77ca, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c98ec48, "pci_request_region" },
	{ 0xb9f8c56e, "flow_rule_match_enc_keyid" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x291e2560, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x48954939, "skb_copy_bits" },
	{ 0x5fcb89bb, "param_ops_uint" },
	{ 0xa9f2f052, "pci_msix_vec_count" },
	{ 0xcba8b212, "pci_enable_device" },
	{ 0x30bbe212, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6c38251d, "flow_indr_dev_register" },
	{ 0x7c46de0b, "mtd_device_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdb320e95, "ip6_dst_hoplimit" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xfa334a7c, "flow_rule_match_enc_ip" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x905c180a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29557a6b, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xfbbef6d5, "bpf_warn_invalid_xdp_action" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x273d96b2, "napi_get_frags" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x513eea9a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x913ff95f, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf8a8c632, "flow_rule_match_tcp" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x56597381, "flow_rule_match_cvlan" },
	{ 0xff54348c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4335c4ba, "pci_num_vf" },
	{ 0x7be6d752, "flow_rule_match_eth_addrs" },
	{ 0xdcfb1586, "pci_disable_msi" },
	{ 0x781be325, "ptp_clock_index" },
	{ 0xc99863c0, "dev_alloc_name" },
	{ 0xa2efab3c, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2b59111, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x869939a2, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x3f558a73, "xdp_do_redirect" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0x5620391d, "devlink_free" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x21229b74, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb6af1dea, "flow_rule_match_ipv4_addrs" },
	{ 0x760e7664, "ip_route_output_flow" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xadede03d, "unregister_netdevice_queue" },
	{ 0x3575540f, "mtd_device_parse_register" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0xc0a6508d, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xdc4a34d1, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf2286982, "netdev_features_change" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x574655b8, "skb_queue_purge_reason" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x2eb743f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1e8c3cf, "devlink_port_attrs_pci_vf_set" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3661dee7, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x498699a7, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x2c30b038, "devlink_port_attrs_pci_pf_set" },
	{ 0xe7ca3a8, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf63edff, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe8131728, "_dev_info" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0x9f8174b8, "skb_queue_tail" },
	{ 0xaa1482ed, "flow_indr_dev_unregister" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd");

MODULE_ALIAS("pci:v000010EEd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010EEd00001100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001903sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000923sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001923sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000A03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001A03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000B03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00001B03sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6212C7A7802DC29E0AE6586");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
