#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca75555a, "eth_commit_mac_addr_change" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20f929fd, "pskb_expand_head" },
	{ 0xd894f36a, "dev_driver_string" },
	{ 0x402c539b, "trace_event_buffer_commit" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0x7a741f3b, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x3661dee7, "skb_checksum_help" },
	{ 0xef52dd34, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0x8d7e12b3, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf63edff, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x50d70c27, "napi_gro_receive" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0x14df0d56, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x42932042, "build_skb" },
	{ 0x7af612a0, "dev_open" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xea8d981, "perf_trace_run_bpf_submit" },
	{ 0x850a41ec, "__skb_get_hash" },
	{ 0xae030d67, "_dev_err" },
	{ 0x438ec757, "softnet_data" },
	{ 0xf214dc23, "xdp_build_skb_from_frame" },
	{ 0x856b2a43, "vmbus_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3bd05752, "netif_set_real_num_rx_queues" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x33767a0b, "dev_close" },
	{ 0x8c52851e, "napi_enable" },
	{ 0xc91a8154, "netdev_upper_dev_unlink" },
	{ 0x8805b7bd, "trace_event_reg" },
	{ 0xd3aa4a88, "vmbus_next_request_id" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0x65619567, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xac66331b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7b7187f1, "netif_tx_wake_queue" },
	{ 0x5bf63e45, "dev_set_alias" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7add2168, "dev_set_mac_address" },
	{ 0xfb578fc5, "memset" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x78527eb5, "hv_pkt_iter_close" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa819b6f0, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xeec68ad, "netdev_master_upper_dev_link" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd11bc870, "pv_ops" },
	{ 0xf59e2e71, "bpf_trace_run3" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x504331bb, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x873d9bb8, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xee1b5804, "vmbus_set_sc_create_callback" },
	{ 0x34bfb09c, "bpf_prog_add" },
	{ 0xe4d301db, "call_netdevice_notifiers" },
	{ 0xd9201c3d, "dev_set_allmulti" },
	{ 0x3cb47288, "alloc_pages" },
	{ 0x34491c24, "vmbus_request_addr" },
	{ 0x608fb386, "xdp_rxq_info_unreg" },
	{ 0xa4917c79, "__vmbus_driver_register" },
	{ 0x3a94faac, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6c921648, "netdev_master_upper_dev_get" },
	{ 0x2b10650d, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd93866a, "skb_clone" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb26307c8, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ef631ec, "netif_set_tso_max_size" },
	{ 0x82a1cb9c, "__skb_flow_dissect" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xd937cda2, "xdp_master_redirect" },
	{ 0x9e1284fa, "__napi_schedule_irqoff" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0xae40574, "napi_consume_skb" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0x9627675d, "netdev_notice" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf3fa0614, "__netdev_notify_peers" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xfe9071ab, "vmbus_establish_gpadl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7d23a488, "__dev_change_net_namespace" },
	{ 0xc3e4d948, "dev_change_flags" },
	{ 0xcfe1229, "__hv_pkt_iter_next" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda881992, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xac41c9ef, "vmbus_sendpacket_pagebuffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x499b3d4, "pci_bus_type" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x61a4ea03, "netdev_info" },
	{ 0xa533ec7f, "__skb_vlan_pop" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0xf350d78, "__tracepoint_xdp_exception" },
	{ 0x2b95070d, "alloc_etherdev_mqs" },
	{ 0x2a647795, "vmbus_driver_unregister" },
	{ 0x4336fcca, "ucs2_as_utf8" },
	{ 0x874131b, "__do_once_done" },
	{ 0x9ab4041b, "ethtool_virtdev_set_link_ksettings" },
	{ 0x2619a0f8, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x291e2560, "bpf_prog_put" },
	{ 0x26bb7e21, "dev_mc_sync" },
	{ 0x5fcb89bb, "param_ops_uint" },
	{ 0x30bbe212, "skb_put" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x566749e2, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5fb4234, "netdev_update_features" },
	{ 0x182cff42, "vmalloc_to_page" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x85aca984, "trace_raw_output_prep" },
	{ 0xfbbef6d5, "bpf_warn_invalid_xdp_action" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2152f8b3, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x126b1161, "dev_uc_sync" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x1dc0c50e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xa6d5ef09, "vmbus_sendpacket" },
	{ 0x2afb7a63, "vmbus_teardown_gpadl" },
	{ 0x776bf0f8, "hv_pkt_iter_first" },
	{ 0xfcc563e4, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ffaa6d7, "dev_set_promiscuity" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x3f558a73, "xdp_do_redirect" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ece692a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0xadede03d, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1be9583, "vmbus_close" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:635161f83edfc546913ff2d2f965ed0e");

MODULE_INFO(srcversion, "CB2A64A8EE3E8D4A5419BA9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
