#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d7e12b3, "eth_prepare_mac_addr_change" },
	{ 0xca75555a, "eth_commit_mac_addr_change" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x972bd27b, "virtqueue_enable_cb_prepare" },
	{ 0x8f4459d7, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe01f80a0, "virtqueue_poll" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51d28c83, "virtqueue_enable_cb_delayed" },
	{ 0x9c0e7462, "virtqueue_add_outbuf" },
	{ 0x7158fedc, "virtqueue_kick_prepare" },
	{ 0xffac8aff, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3f558a73, "xdp_do_redirect" },
	{ 0xfbbef6d5, "bpf_warn_invalid_xdp_action" },
	{ 0xf350d78, "__tracepoint_xdp_exception" },
	{ 0xd937cda2, "xdp_master_redirect" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x513eea9a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0x382b349a, "xdp_return_frame_rx_napi" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73ef65f0, "netif_napi_add_weight" },
	{ 0xeb3a5421, "virtqueue_set_dma_premapped" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x34bfb09c, "bpf_prog_add" },
	{ 0x8c52851e, "napi_enable" },
	{ 0x291e2560, "bpf_prog_put" },
	{ 0xa47aefa2, "bpf_prog_sub" },
	{ 0xefc39d8, "xdp_features_clear_redirect_target" },
	{ 0xe38e99b1, "xdp_features_set_redirect_target" },
	{ 0x520f4edb, "netdev_printk" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0x438ec757, "softnet_data" },
	{ 0x64abfda8, "skb_to_sgvec" },
	{ 0x28b85350, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd0bcfb3d, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0x2d7d52f9, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0x2b95070d, "alloc_etherdev_mqs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0xc5a19ad7, "net_failover_destroy" },
	{ 0x2c9c3302, "virtio_reset_device" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0xb42f8ac8, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe8131728, "_dev_info" },
	{ 0xae030d67, "_dev_err" },
	{ 0xe048e2bf, "skb_page_frag_refill" },
	{ 0xa975769a, "virtqueue_dma_map_single_attrs" },
	{ 0xa6eff11d, "virtqueue_dma_mapping_error" },
	{ 0x92a128ec, "virtqueue_dma_need_sync" },
	{ 0xb17a87cd, "virtqueue_get_buf_ctx" },
	{ 0x3cb47288, "alloc_pages" },
	{ 0x77f73a85, "virtqueue_add_inbuf_ctx" },
	{ 0x25bdd0a2, "virtqueue_add_inbuf" },
	{ 0x7a741f3b, "xdp_rxq_info_reg_mem_model" },
	{ 0x3a94faac, "__xdp_rxq_info_reg" },
	{ 0x494a52eb, "virtqueue_resize" },
	{ 0x42932042, "build_skb" },
	{ 0x30bbe212, "skb_put" },
	{ 0x566749e2, "__napi_alloc_skb" },
	{ 0xfece969, "skb_add_rx_frag_netmem" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd04d73df, "virtqueue_detach_unused_buf" },
	{ 0xf63edff, "__free_pages" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x82a1cb9c, "__skb_flow_dissect" },
	{ 0xa42a3b5d, "skb_partial_csum_set" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x50d70c27, "napi_gro_receive" },
	{ 0xdeee67cd, "skb_coalesce_rx_frag" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0xa819b6f0, "__pskb_pull_tail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7f52071a, "net_dim" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x4bd0c82c, "passthru_features_check" },
	{ 0xada1ef9, "eth_validate_addr" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0xda881992, "ethtool_op_get_ts_info" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0xac66331b, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca051f28, "virtqueue_get_buf" },
	{ 0xae40574, "napi_consume_skb" },
	{ 0x68b68f55, "xdp_return_frame" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd288e85b, "virtqueue_get_vring_size" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0x1e3d9443, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0220f82, "__cpuhp_state_add_instance" },
	{ 0x14197815, "__cpuhp_state_remove_instance" },
	{ 0x9ab4041b, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0x1446a627, "__cpuhp_setup_state" },
	{ 0x730dd91b, "__register_virtio_driver" },
	{ 0x46d44f87, "__cpuhp_remove_state" },
	{ 0xa9ad5fb4, "unregister_virtio_driver" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9bace09c, "napi_disable" },
	{ 0x608fb386, "xdp_rxq_info_unreg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xd3e352ef, "netif_tx_lock" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0xc0a6508d, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0xc894cd68, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x4deaa9f7, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa51b9cd2, "virtqueue_add_sgs" },
	{ 0xac771e2a, "virtqueue_kick" },
	{ 0x3a8974e0, "virtqueue_is_broken" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0xa1bbe7e6, "netif_carrier_on" },
	{ 0x7b7187f1, "netif_tx_wake_queue" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xec459b41, "netif_tx_stop_all_queues" },
	{ 0x3e6bc7a4, "netdev_notify_peers" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x73c1e7c5, "napi_schedule_prep" },
	{ 0x758537e, "virtqueue_disable_cb" },
	{ 0x131eb3f3, "__napi_schedule" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x62b6634a, "netif_set_real_num_tx_queues" },
	{ 0x3bd05752, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "1474A947AF68DEACEEC51B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
