#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x56c27bd8, "");
SYMBOL_CRC(ndlc_close, 0x5c5c5a26, "");
SYMBOL_CRC(ndlc_send, 0x30780d79, "");
SYMBOL_CRC(ndlc_recv, 0xf951b2c3, "");
SYMBOL_CRC(ndlc_probe, 0x958be7da, "");
SYMBOL_CRC(ndlc_remove, 0x98056dfa, "");
SYMBOL_CRC(st_nci_probe, 0x460dbda7, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x9b60210d, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x031ca388, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x8e188939, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x7270313e, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x433816e1, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x97ec2118, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xc0bfd17f, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x8a7409dc, "");
SYMBOL_CRC(st_nci_se_init, 0x1d5eb399, "");
SYMBOL_CRC(st_nci_se_deinit, 0xf643f324, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x013aaf89, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x12f72b45, "nfc_se_transaction" },
	{ 0xae030d67, "_dev_err" },
	{ 0xdfec0f1a, "skb_pull" },
	{ 0xa49ba21d, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x45478018, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x1dfec031, "nci_prop_cmd" },
	{ 0xefbd5f49, "nci_core_conn_create" },
	{ 0x131428b5, "nci_nfcc_loopback" },
	{ 0xae5f4761, "nci_unregister_device" },
	{ 0x10537dc8, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6df7ec4, "nci_hci_send_event" },
	{ 0x5ecddb25, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6d93b0da, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd86c6b43, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbac3c89d, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8242f101, "nci_recv_frame" },
	{ 0x8e8ae2dc, "nci_hci_dev_session_init" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0x89dda6e, "nci_hci_set_param" },
	{ 0x8ffe1a01, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8516b491, "skb_queue_head" },
	{ 0xac104762, "nci_free_device" },
	{ 0xefe88673, "nci_allocate_device" },
	{ 0x11c2369c, "nci_register_device" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x98090405, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12ed1bd4, "nfc_add_se" },
	{ 0x913ff95f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcdd9ad65, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x574655b8, "skb_queue_purge_reason" },
	{ 0xba9e82f2, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x498b578f, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f8174b8, "skb_queue_tail" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
