#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8d10aa9, "cxgb4_remove_server" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x265c17a6, "iscsit_increment_maxcmdsn" },
	{ 0x16bfc7bc, "iscsit_find_cmd_from_itt" },
	{ 0x2b83ed3b, "__alloc_skb" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x54743e66, "iscsit_check_dataout_payload" },
	{ 0x9587e978, "cxgb4_clip_get" },
	{ 0x3576f1f5, "cxgb_find_route" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbf6dad3b, "vlan_dev_real_dev" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4ff55b4, "init_net" },
	{ 0x913fb03, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb91f31b5, "ip6_mtu" },
	{ 0x23add7ce, "iscsit_free_cmd" },
	{ 0xed58b608, "cxgb_find_route6" },
	{ 0xaf05acb6, "dev_get_by_index" },
	{ 0xf2ae3d11, "skb_store_bits" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc446d4bb, "cxgb4_l2t_send" },
	{ 0xf72981bd, "iscsit_queue_rsp" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x255ab30f, "cxgb_get_4tuple" },
	{ 0x28ff956b, "cxgb4_alloc_stid" },
	{ 0x1140f05, "skb_prepare_seq_read" },
	{ 0x5143f0e5, "iscsit_sequence_cmd" },
	{ 0xb78230eb, "iscsit_setup_nop_out" },
	{ 0xbc10ea91, "iscsit_process_text_cmd" },
	{ 0xc4159415, "cxgbi_ppm_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x49fd327b, "skb_abort_seq_read" },
	{ 0x583b7097, "dcb_getapp" },
	{ 0x627ae91d, "iscsit_response_queue" },
	{ 0x48e435ff, "iscsit_allocate_cmd" },
	{ 0x79d3b67a, "cxgb4_ofld_send" },
	{ 0xdc8ea621, "cxgb4_remove_tid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf34332f0, "iscsi_find_param_from_key" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0x4898e78b, "__neigh_event_send" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcf70154e, "alloc_skb_with_frags" },
	{ 0x278983a7, "iscsit_setup_scsi_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x900847, "iscsit_setup_text_cmd" },
	{ 0x1ab0be9b, "cxgb4_port_chan" },
	{ 0xc668cff, "ipv4_mtu" },
	{ 0x64d4618e, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xa467c883, "iscsit_check_dataout_hdr" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0x1427b748, "cxgb4_free_stid" },
	{ 0x3cb47288, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8ddb35, "iscsit_handle_snack" },
	{ 0xbe0d20aa, "iscsit_handle_logout_cmd" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x86c143c3, "dst_release" },
	{ 0x1767ed4e, "iscsit_reject_cmd" },
	{ 0xbe980dbe, "__iscsit_check_dataout_hdr" },
	{ 0x794328db, "cxgbi_ppm_ppod_release" },
	{ 0xcd6de03d, "iscsi_change_param_sprintf" },
	{ 0xfbacde5e, "cxgb4_create_server6" },
	{ 0x700173ba, "iscsit_thread_check_cpumask" },
	{ 0x394f76eb, "dma_unmap_sg_attrs" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xf8a4c470, "ipv6_chk_addr" },
	{ 0x1b50656b, "target_put_sess_cmd" },
	{ 0x6cf735e3, "iscsi_target_check_login_request" },
	{ 0x27ae2e91, "iscsit_aborted_task" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5dee89e1, "iscsit_unregister_transport" },
	{ 0xfbe2e77, "cxgb4_l2t_release" },
	{ 0x82a69f15, "skb_seq_read" },
	{ 0xc1a0a8a6, "iscsit_set_unsolicited_dataout" },
	{ 0xf47c507, "__kfree_skb" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9238d406, "cxgb4_clip_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7c6f2408, "iscsit_process_scsi_cmd" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0x5b9a7310, "iscsit_immediate_queue" },
	{ 0x5b66e677, "dma_map_sg_attrs" },
	{ 0x4eab2814, "cxgbi_ppm_ppods_reserve" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e5a832e, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdda565c9, "cxgb4_create_server" },
	{ 0x42bda231, "cxgb4_l2t_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x48954939, "skb_copy_bits" },
	{ 0xdcd23239, "iscsit_add_reject" },
	{ 0xec44b72, "iscsit_handle_task_mgt_cmd" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x566749e2, "__napi_alloc_skb" },
	{ 0xe110bf16, "cxgb4_pktgl_to_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf71f654, "iscsit_add_cmd_to_immediate_queue" },
	{ 0xb7e4ede0, "iscsit_build_r2ts_for_cmd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34c9e3c0, "cxgb4_port_idx" },
	{ 0x2f093566, "__ip_dev_find" },
	{ 0x29ae9a87, "iscsit_find_cmd_from_itt_or_dump" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae9b0873, "iscsit_build_datain_pdu" },
	{ 0x5e2354b8, "iscsit_register_transport" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x50ee5c07, "cxgb4_best_aligned_mtu" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5c65fcc, "iscsit_process_nop_out" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x213d7a01, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x400a6661, "cxgbi_ppm_release" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,iscsi_target_mod,libcxgb,target_core_mod");


MODULE_INFO(srcversion, "F2042902336F3105F4CA787");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
