#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xd34d3313, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x90414f10, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xb1b54592, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x9b98dc29, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x12bb0eae, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xf6843fe5, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xa53c641c, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xea2df383, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x78c0dbd2, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x400f8a97, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x1b6a02e7, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x8b26ba6d, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xb26d7d4f, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x9eed712e, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x054a4b99, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x1dce1b1a, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x5a7fd4fa, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x56b6ac92, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x168c5cad, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xcdda4737, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xd9ed696c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x2564e926, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x99917a6c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x4c783e63, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xfb9f1bdc, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xab45dbfc, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x1452e3ec, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x7ebad451, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x8016b81a, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x13daed76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd7ab47bb, "put_device" },
	{ 0x4ca5fd2e, "devlink_resource_register" },
	{ 0xb5899ad6, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xbe3f2ddf, "netif_device_detach" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8ee45d1, "switchdev_bridge_port_offload" },
	{ 0x87c8563d, "netif_device_attach" },
	{ 0x14f7bc5d, "phylink_ethtool_get_eee" },
	{ 0x52294302, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x38e8a53, "ptp_classify_raw" },
	{ 0x7af612a0, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x977d3882, "devlink_region_create" },
	{ 0xbf6dad3b, "vlan_dev_real_dev" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x789ff848, "__dev_get_by_index" },
	{ 0x416ed4e, "rtnl_link_unregister" },
	{ 0xea8d981, "perf_trace_run_bpf_submit" },
	{ 0xea8dc6a3, "devlink_port_unregister" },
	{ 0xae030d67, "_dev_err" },
	{ 0xd4ff55b4, "init_net" },
	{ 0x17a5023c, "noop_qdisc" },
	{ 0x19dc2388, "phy_ethtool_get_strings" },
	{ 0x5faed18c, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x913fb03, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x37c12575, "dev_remove_pack" },
	{ 0x76aa6df, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xde0690ac, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8d63a8e7, "gro_cells_receive" },
	{ 0x1105ff9e, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x45478018, "skb_push" },
	{ 0xc91a8154, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd5a172bb, "dev_mc_del" },
	{ 0x8805b7bd, "trace_event_reg" },
	{ 0xee772810, "br_vlan_get_info" },
	{ 0xc32fc74e, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc0202dff, "mdiobus_free" },
	{ 0xce0c1fec, "sysfs_create_group" },
	{ 0x764b57c, "devlink_resource_occ_get_register" },
	{ 0x4cb672a6, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x2627812d, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd18ad2fd, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x559052ff, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x319e98bb, "switchdev_bridge_port_unoffload" },
	{ 0xd8eb9e9f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x209a7b8d, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xd52fcbec, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xba3db412, "netif_rx" },
	{ 0xe289e7a, "dev_mc_add" },
	{ 0xba1f11a4, "flow_block_cb_alloc" },
	{ 0x211596e4, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2baf9e21, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x968f5043, "__dynamic_netdev_dbg" },
	{ 0xd11bc870, "pv_ops" },
	{ 0x124f999, "sysfs_remove_group" },
	{ 0x4a3ab569, "net_selftest" },
	{ 0xf59e2e71, "bpf_trace_run3" },
	{ 0xa263fe21, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x869a3f7f, "devlink_port_init" },
	{ 0xc3d39746, "__netpoll_setup" },
	{ 0x504331bb, "__dev_queue_xmit" },
	{ 0x6d00146c, "vlan_vid_add" },
	{ 0x7e05f8fc, "devlink_params_register" },
	{ 0x873d9bb8, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xbfdf8c9b, "vlan_vid_del" },
	{ 0xd9201c3d, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3518edf0, "devlink_resources_unregister" },
	{ 0x6c921648, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e8db67a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7673e3b0, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x93f03aee, "devlink_port_region_create" },
	{ 0x9b455332, "devlink_priv" },
	{ 0xd9e09328, "skb_copy" },
	{ 0x75944497, "__hw_addr_sync_dev" },
	{ 0x14131614, "devlink_port_register_with_ops" },
	{ 0xc841ec6, "mdiobus_get_phy" },
	{ 0x86c143c3, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x1ee94bc7, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x78c00f85, "dev_uc_add" },
	{ 0x9e748e7e, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x6c3cbee6, "br_mst_enabled" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x7872c73e, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x5060f806, "dev_kfree_skb_any_reason" },
	{ 0xe4a479b7, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7c50b5ef, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xdcfabc3f, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2dc60acb, "dcb_ieee_setapp" },
	{ 0xe07c8889, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa533ec7f, "__skb_vlan_pop" },
	{ 0xe6506675, "phylink_connect_phy" },
	{ 0x94b0fd3f, "br_get_ageing_time" },
	{ 0xd927a8fa, "register_netdevice" },
	{ 0xab170f56, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x881e6b5c, "netdev_lower_get_next" },
	{ 0x44035ed, "flow_block_cb_lookup" },
	{ 0x6a1c852, "switchdev_handle_port_obj_add_foreign" },
	{ 0x80cbb90c, "devlink_resource_occ_get_unregister" },
	{ 0x2619a0f8, "dev_set_mtu" },
	{ 0x1d0fd8f0, "br_vlan_enabled" },
	{ 0xe8a3b428, "__skb_pad" },
	{ 0xcf202706, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4fa27064, "skb_ensure_writable_head_tail" },
	{ 0xe2633167, "bpf_trace_run4" },
	{ 0xed4e5bc1, "devlink_unregister" },
	{ 0x2ee6c653, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x2df74d7, "br_port_flag_is_set" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4e48cd7, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcd78736, "br_port_get_stp_state" },
	{ 0xe2d61cbb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x90c080a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9caf813a, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x11f2ea25, "__netpoll_free" },
	{ 0x85aca984, "trace_raw_output_prep" },
	{ 0x11e21951, "br_vlan_get_proto" },
	{ 0x10eb3d31, "br_mst_get_state" },
	{ 0x8beefd25, "unregister_netdev" },
	{ 0x2152f8b3, "__trace_trigger_soft_disabled" },
	{ 0x1dc0c50e, "trace_event_printf" },
	{ 0xa349e344, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x49d036ee, "netpoll_send_skb" },
	{ 0x96dbfb2b, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x945bf7ef, "devlink_params_unregister" },
	{ 0x8c5a53bb, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xfcc563e4, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2b59111, "devlink_alloc_ns" },
	{ 0x2ffaa6d7, "dev_set_promiscuity" },
	{ 0xf1ff5ea5, "devlink_register" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0x5620391d, "devlink_free" },
	{ 0x336fa9c6, "gro_cells_init" },
	{ 0x4ece692a, "bpf_trace_run2" },
	{ 0xad4af6a1, "netdev_warn" },
	{ 0xadede03d, "unregister_netdevice_queue" },
	{ 0xc6c8598f, "get_device" },
	{ 0x93b5d9b, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe873466e, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x71647f28, "ether_setup" },
	{ 0x52e8688d, "switchdev_handle_fdb_event_to_device" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x17cbfc5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc75f2ef9, "netdev_upper_dev_link" },
	{ 0x20f929fd, "pskb_expand_head" },
	{ 0xf35dec43, "switchdev_handle_port_attr_set" },
	{ 0x8c1a4f7a, "phylink_create" },
	{ 0x74838de3, "vlan_for_each" },
	{ 0x20eaedb, "netdev_port_same_parent_id" },
	{ 0x402c539b, "trace_event_buffer_commit" },
	{ 0x61f6d558, "dev_addr_mod" },
	{ 0xe66ebbb2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d631b78, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1381b24, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe9e7fb5b, "vlan_dev_vlan_proto" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "F9B13DB99AAF84F09C74716");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
